import { AfterViewInit, ChangeDetectorRef } from '@angular/core';
import { App, AppSwitcherService } from './app-switcher.service';
import { BaseComponent } from '../common/base.component';
import { StaticTranslationService } from '../static-translate-loader.service';
import { LoginService } from '../common/login.service';
export declare class AppSwitcherComponent extends BaseComponent implements AfterViewInit {
    private appSwitcherService;
    private cdr;
    private loginService;
    isLoggedIn: boolean;
    favorites: App[];
    apps: App[];
    editLink: string;
    hidden: boolean;
    userId?: string;
    constructor(appSwitcherService: AppSwitcherService, translateService: StaticTranslationService, cdr: ChangeDetectorRef, loginService: LoginService);
    tryGetApps(): void;
    ngAfterViewInit(): void;
    /**
     * Return an observable with a user-facing error message
     */
    private handleError;
}
