(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common'), require('@angular/common/http'), require('@angular/material/button'), require('@angular/material/icon'), require('@angular/material/menu'), require('@angular/material/progress-spinner'), require('rxjs'), require('rxjs/operators'), require('jwt-decode'), require('@ngx-translate/core')) :
    typeof define === 'function' && define.amd ? define('@vi/global-header', ['exports', '@angular/core', '@angular/common', '@angular/common/http', '@angular/material/button', '@angular/material/icon', '@angular/material/menu', '@angular/material/progress-spinner', 'rxjs', 'rxjs/operators', 'jwt-decode', '@ngx-translate/core'], factory) :
    (global = global || self, factory((global.vi = global.vi || {}, global.vi['global-header'] = {}), global.ng.core, global.ng.common, global.ng.common.http, global.ng.material.button, global.ng.material.icon, global.ng.material.menu, global.ng.material.progressSpinner, global.rxjs, global.rxjs.operators, global.jwt_decode, global.core$1));
}(this, (function (exports, core, common, http, button, icon, menu, progressSpinner, rxjs, operators, jwt_decode, core$1) { 'use strict';

    jwt_decode = jwt_decode && Object.prototype.hasOwnProperty.call(jwt_decode, 'default') ? jwt_decode['default'] : jwt_decode;

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    function __rest(s, e) {
        var t = {};
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }

    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }

    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    }

    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
    }

    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }

    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    }

    function __createBinding(o, m, k, k2) {
        if (k2 === undefined) k2 = k;
        o[k2] = m[k];
    }

    function __exportStar(m, exports) {
        for (var p in m) if (p !== "default" && !exports.hasOwnProperty(p)) exports[p] = m[p];
    }

    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m) return m.call(o);
        if (o && typeof o.length === "number") return {
            next: function () {
                if (o && i >= o.length) o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }

    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    }

    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }

    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    };

    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }

    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n]) i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try { step(g[n](v)); } catch (e) { settle(q[0][3], e); } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length) resume(q[0][0], q[0][1]); }
    }

    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }

    function __asyncValues(o) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }
    }

    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
        return cooked;
    };

    function __importStar(mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
        result.default = mod;
        return result;
    }

    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }

    function __classPrivateFieldGet(receiver, privateMap) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to get private field on non-instance");
        }
        return privateMap.get(receiver);
    }

    function __classPrivateFieldSet(receiver, privateMap, value) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to set private field on non-instance");
        }
        privateMap.set(receiver, value);
        return value;
    }

    var DEFAULT_APP_ID = 'global-header';
    var GlobalHeaderConfig = /** @class */ (function () {
        function GlobalHeaderConfig() {
        }
        return GlobalHeaderConfig;
    }());

    var BaseService = /** @class */ (function () {
        function BaseService(config, http) {
            this.config = config;
            this.http = http;
            this.appId = config.appId;
        }
        BaseService.prototype.setCsrfToken = function (token) {
            this.csrfToken = token;
        };
        BaseService.prototype.getCsrfToken = function () {
            var _this = this;
            if (this.csrfToken) {
                return rxjs.of(this.csrfToken);
            }
            return this.http
                .post(this.config.baseUrl + "/auth/v1/saml/csrf", {
                appId: this.appId || DEFAULT_APP_ID,
            }, {
                withCredentials: true,
            })
                .pipe(operators.map(function (_a) {
                var token = _a.token;
                return token;
            }), operators.tap(function (token) { return (_this.csrfToken = token); }));
        };
        return BaseService;
    }());

    var APPS_CONFIG = new core.InjectionToken('appsConfig');
    var AppSwitcherService = /** @class */ (function (_super) {
        __extends(AppSwitcherService, _super);
        function AppSwitcherService(config, http) {
            var _this = _super.call(this, config, http) || this;
            _this.appsBaseUrl = config.baseUrl;
            return _this;
        }
        /**
         * Test if user is already logged in (authenticated)
         */
        AppSwitcherService.prototype.getApps = function (userId) {
            var _this = this;
            var appsBackendUrl = this.appsBaseUrl + "/users/v1/users/" + (userId ? userId : 'me') + "/apps";
            return this.getCsrfToken(userId).pipe(operators.concatMap(function (token) {
                return _this.http.get(appsBackendUrl, {
                    headers: token && {
                        Authorization: "CSRF " + token,
                    },
                });
            }));
        };
        AppSwitcherService.prototype.getCsrfToken = function (userId) {
            if (userId) {
                return rxjs.of(this.csrfToken);
            }
            return _super.prototype.getCsrfToken.call(this);
        };
        AppSwitcherService.ctorParameters = function () { return [
            { type: GlobalHeaderConfig, decorators: [{ type: core.Inject, args: [APPS_CONFIG,] }] },
            { type: http.HttpClient }
        ]; };
        AppSwitcherService = __decorate([
            core.Injectable(),
            __param(0, core.Inject(APPS_CONFIG)),
            __metadata("design:paramtypes", [GlobalHeaderConfig, http.HttpClient])
        ], AppSwitcherService);
        return AppSwitcherService;
    }(BaseService));

    var LoginService = /** @class */ (function (_super) {
        __extends(LoginService, _super);
        function LoginService(config, http) {
            var _this = _super.call(this, config, http) || this;
            _this.user$ = new rxjs.BehaviorSubject(undefined);
            _this.tryAuthUrl = config.baseUrl + '/users/v1/users/me';
            var logoutQuery = '';
            if (config.logoutRedirectUrl) {
                if (config.logoutRedirectUrl === true) {
                    // if set to true, use base url
                    logoutQuery = "?redirectUrl=" + window.location.origin;
                }
                else {
                    // if set to string, use that as redirect url
                    logoutQuery = "?redirectUrl=" + config.logoutRedirectUrl;
                }
            }
            _this.loginUrl = config.baseUrl + "/saml/sso/request";
            _this.logoutUrl = config.baseUrl + "/saml/logout" + logoutQuery;
            _this.accountAppUrl = config.accountAppUrl;
            _this.setCustomerType(config.type);
            return _this;
        }
        LoginService.prototype.setCustomerType = function (type) {
            this.accountType = type;
        };
        LoginService.prototype.setAppId = function (appId) {
            this.appId = appId;
        };
        LoginService.prototype.getAppId = function () {
            return this.appId;
        };
        /**
         * Test if user is already logged in (authenticated)
         */
        LoginService.prototype.tryLogin = function () {
            var _this = this;
            var hash = window.location.hash;
            if (hash && hash.startsWith('#token=')) {
                // if csrf token is in url, always use that value
                this.csrfToken = hash.replace('#token=', '');
            }
            return this.getCsrfToken().pipe(operators.concatMap(function (token) {
                return _this.http
                    .get(_this.tryAuthUrl, {
                    headers: {
                        Authorization: "CSRF " + token,
                    },
                    params: {
                        sections: ['identity', 'sales'],
                    },
                })
                    .pipe(operators.timeout(20000));
            }), operators.tap(function (user) { return _this.user$.next(user); }), operators.catchError(function (error) {
                if (!error.status || error.status !== 401) {
                    return _this.handleError(error);
                }
                return rxjs.of(null);
            }));
        };
        /**
         * Log user in
         */
        LoginService.prototype.login = function () {
            // get current URL without query param
            var current = window.location.href.split('?')[0];
            var params = new http.HttpParams().append('appId', this.appId || DEFAULT_APP_ID);
            if (this.accountType === 'customer') {
                params = params.append('ForgotUsername', this.accountAppUrl + "/forgot-username");
            }
            if (this.config.loginRedirectUrl) {
                params = params.append('redirectUrl', this.config.loginRedirectUrl);
            }
            if (this.config.showRegisterLink !== false) {
                var path = this.getRegisterPath();
                params = params.append('RegistrationLink', this.accountAppUrl + "/" + path + "?redirect=" + current);
            }
            window.location.href = this.loginUrl + "?" + params.toString();
        };
        LoginService.prototype.getRegisterPath = function () {
            switch (this.accountType) {
                case 'customer':
                    return 'register';
                case 'endcustomer':
                    return 'register-end-customer';
                case 'supplier':
                    return 'register-supplier';
                default:
                    return 'register';
            }
        };
        /**
         * Log user out
         */
        LoginService.prototype.logout = function () {
            var form = window.document.createElement('form');
            form.setAttribute('method', 'post');
            form.setAttribute('action', this.logoutUrl);
            form.setAttribute('target', '_self');
            window.document.body.appendChild(form);
            form.submit();
        };
        /**
         * Return an observable with a user-facing error message
         * @param error the error to handle
         */
        LoginService.prototype.handleError = function (error) {
            console.log('Login Service: ', error);
            if (error.error instanceof ErrorEvent) {
                /**
                 * A client-side or network error occurred. Handle it accordingly.
                 */
                console.error('SAML login request: An error occurred:', error.error.message);
            }
            else {
                /**
                 * The backend returned an unsuccessful response code.
                 *
                 * The response body may contain clues as to what went wrong,
                 */
                if (error.status === 0) {
                    console.error("SAML login request: Backend returned code " + error.status + ", " + "CORS issue");
                }
            }
            // return an observable with a user-facing error message
            return rxjs.throwError(error.error);
        };
        LoginService.ctorParameters = function () { return [
            { type: GlobalHeaderConfig, decorators: [{ type: core.Inject, args: [APPS_CONFIG,] }] },
            { type: http.HttpClient }
        ]; };
        LoginService.ɵprov = core.ɵɵdefineInjectable({ factory: function LoginService_Factory() { return new LoginService(core.ɵɵinject(APPS_CONFIG), core.ɵɵinject(http.HttpClient)); }, token: LoginService, providedIn: "root" });
        LoginService = __decorate([
            core.Injectable({
                providedIn: 'root',
            }),
            __param(0, core.Inject(APPS_CONFIG)),
            __metadata("design:paramtypes", [GlobalHeaderConfig, http.HttpClient])
        ], LoginService);
        return LoginService;
    }(BaseService));

    var enGB = {
        "APP_SWITCHER": {
            "ALL_APPS": "All applications",
            "FAVORITES": "Favorites",
            "MORE_APPS": "More apps",
            "MSG_NO_APPS": "There are currently no apps that can be displayed.",
            "MSG_NO_FAVORITES": "You don't have any favorites yet."
        },
        "LOGIN": {
            "LOGIN_BUTTON": "Login",
            "LOGOUT_BUTTON": "Logout",
            "PROFILE_LINK": "My Account"
        }
    };

    var english = /*#__PURE__*/Object.freeze({
        __proto__: null,
        'default': enGB
    });

    var deDE = {
        "APP_SWITCHER": {
            "ALL_APPS": "Alle Anwendungen",
            "FAVORITES": "Favoriten",
            "MORE_APPS": "Weitere Apps",
            "MSG_NO_APPS": "Es gibt zurzeit keine Apps, die angezeigt werden können.",
            "MSG_NO_FAVORITES": "Sie haben noch keine Favoriten angelegt."
        },
        "LOGIN": {
            "LOGIN_BUTTON": "Login",
            "LOGOUT_BUTTON": "Logout",
            "PROFILE_LINK": "Mein Account"
        }
    };

    var german = /*#__PURE__*/Object.freeze({
        __proto__: null,
        'default': deDE
    });

    var deAT = {
        "APP_SWITCHER": {
            "ALL_APPS": "Alle Anwendungen",
            "MORE_APPS": "Weitere Apps",
            "MSG_NO_APPS": "Es gibt zurzeit keine Apps, die angezeigt werden können.",
            "MSG_NO_FAVORITES": "Sie haben noch keine Favoriten angelegt."
        },
        "LOGIN": {
            "LOGIN_BUTTON": "Login",
            "LOGOUT_BUTTON": "Logout",
            "PROFILE_LINK": "Mein Account"
        }
    };

    var austrian = /*#__PURE__*/Object.freeze({
        __proto__: null,
        'default': deAT
    });

    var bgBG = {
        "APP_SWITCHER": {
            "MORE_APPS": "Още приложения",
            "MSG_NO_APPS": "В момента няма приложения, които могат да бъдат гледани."
        },
        "LOGIN": {
            "LOGIN_BUTTON": "Login",
            "LOGOUT_BUTTON": "Отписване",
            "PROFILE_LINK": "Моят профил"
        }
    };

    var bulgarian = /*#__PURE__*/Object.freeze({
        __proto__: null,
        'default': bgBG
    });

    var hrHR = {
        "APP_SWITCHER": {
            "MORE_APPS": "Više aplikacija",
            "MSG_NO_APPS": "Trenutno nema aplikacija koje se mogu pregledavati."
        },
        "LOGIN": {
            "LOGIN_BUTTON": "Login",
            "LOGOUT_BUTTON": "Odjava",
            "PROFILE_LINK": "Moj račun"
        }
    };

    var croatian = /*#__PURE__*/Object.freeze({
        __proto__: null,
        'default': hrHR
    });

    var csCZ = {
        "APP_SWITCHER": {
            "MORE_APPS": "Další aplikace",
            "MSG_NO_APPS": "Nyní nejsou k dispozici žádné aplikace, které by bylo možné zobrazit."
        },
        "LOGIN": {
            "LOGIN_BUTTON": "Login",
            "LOGOUT_BUTTON": "Odhlásit se",
            "PROFILE_LINK": "Můj účet"
        }
    };

    var czech = /*#__PURE__*/Object.freeze({
        __proto__: null,
        'default': csCZ
    });

    var nlNL = {
        "APP_SWITCHER": {
            "MORE_APPS": "Meer apps",
            "MSG_NO_APPS": "Er zijn momenteel geen apps die kunnen worden bekeken."
        },
        "LOGIN": {
            "LOGIN_BUTTON": "Login",
            "LOGOUT_BUTTON": "Afmelden",
            "PROFILE_LINK": "Mijn profiel"
        }
    };

    var dutch = /*#__PURE__*/Object.freeze({
        __proto__: null,
        'default': nlNL
    });

    var fiFI = {
        "APP_SWITCHER": {
            "MORE_APPS": "Lisää sovelluksia",
            "MSG_NO_APPS": "Tällä hetkellä ei ole sovelluksia, joita voidaan tarkastella."
        },
        "LOGIN": {
            "LOGIN_BUTTON": "Login",
            "LOGOUT_BUTTON": "Logout",
            "PROFILE_LINK": "Tilini"
        }
    };

    var finnish = /*#__PURE__*/Object.freeze({
        __proto__: null,
        'default': fiFI
    });

    var frFR = {
        "APP_SWITCHER": {
            "MORE_APPS": "Plus d'applications",
            "MSG_NO_APPS": "Il n'y a actuellement aucune application qui peut être consultée."
        },
        "LOGIN": {
            "LOGIN_BUTTON": "Login",
            "LOGOUT_BUTTON": "Déconnexion",
            "PROFILE_LINK": "Mon profil"
        }
    };

    var french = /*#__PURE__*/Object.freeze({
        __proto__: null,
        'default': frFR
    });

    var huHU = {
        "APP_SWITCHER": {
            "MORE_APPS": "További alkalmazások",
            "MSG_NO_APPS": "Jelenleg nincsenek olyan alkalmazások, amelyeket meg lehet tekinteni."
        },
        "LOGIN": {
            "LOGIN_BUTTON": "Login",
            "LOGOUT_BUTTON": "Kijelentkezés",
            "PROFILE_LINK": "Profil"
        }
    };

    var hungarian = /*#__PURE__*/Object.freeze({
        __proto__: null,
        'default': huHU
    });

    var itIT = {
        "APP_SWITCHER": {
            "MORE_APPS": "Altre applicazioni",
            "MSG_NO_APPS": "Al momento non ci sono app che possono essere visualizzate."
        },
        "LOGIN": {
            "LOGIN_BUTTON": "Login",
            "LOGOUT_BUTTON": "Logout",
            "PROFILE_LINK": "Il mio account"
        }
    };

    var italian = /*#__PURE__*/Object.freeze({
        __proto__: null,
        'default': itIT
    });

    var plPL = {
        "APP_SWITCHER": {
            "MORE_APPS": "Więcej aplikacji",
            "MSG_NO_APPS": "Obecnie nie ma żadnych aplikacji, które można oglądać."
        },
        "LOGIN": {
            "LOGIN_BUTTON": "Login",
            "LOGOUT_BUTTON": "Wyloguj",
            "PROFILE_LINK": "Mój profil"
        }
    };

    var polish = /*#__PURE__*/Object.freeze({
        __proto__: null,
        'default': plPL
    });

    var roRO = {
        "APP_SWITCHER": {
            "MORE_APPS": "Mai multe aplicatii",
            "MSG_NO_APPS": "În prezent nu există aplicații care pot fi vizualizate."
        },
        "LOGIN": {
            "LOGIN_BUTTON": "Login",
            "LOGOUT_BUTTON": "Deconectare",
            "PROFILE_LINK": "Contul meu"
        }
    };

    var romanian = /*#__PURE__*/Object.freeze({
        __proto__: null,
        'default': roRO
    });

    var ruRU = {
        "APP_SWITCHER": {
            "MORE_APPS": "Больше приложений",
            "MSG_NO_APPS": "В настоящее время нет приложений, которые можно просмотреть."
        },
        "LOGIN": {
            "LOGIN_BUTTON": "Login",
            "LOGOUT_BUTTON": "Выйти",
            "PROFILE_LINK": "Мой аккаунт"
        }
    };

    var russian = /*#__PURE__*/Object.freeze({
        __proto__: null,
        'default': ruRU
    });

    var srRS = {
        "APP_SWITCHER": {
            "MORE_APPS": "Више апликација",
            "MSG_NO_APPS": "Тренутно нема апликација које се могу приказати."
        },
        "LOGIN": {
            "LOGIN_BUTTON": "Login",
            "LOGOUT_BUTTON": "Odjava",
            "PROFILE_LINK": "Moj nalog"
        }
    };

    var serbian = /*#__PURE__*/Object.freeze({
        __proto__: null,
        'default': srRS
    });

    var slSI = {
        "APP_SWITCHER": {
            "MORE_APPS": "Več aplikacij",
            "MSG_NO_APPS": "Trenutno ni aplikacij, ki jih je mogoče gledati."
        },
        "LOGIN": {
            "LOGIN_BUTTON": "Login",
            "LOGOUT_BUTTON": "Odjava",
            "PROFILE_LINK": "Moj račun"
        }
    };

    var slovenian = /*#__PURE__*/Object.freeze({
        __proto__: null,
        'default': slSI
    });

    var esES = {
        "APP_SWITCHER": {
            "MORE_APPS": "Más aplicaciones",
            "MSG_NO_APPS": "Actualmente no hay aplicaciones que se puedan ver."
        },
        "LOGIN": {
            "LOGIN_BUTTON": "Login",
            "LOGOUT_BUTTON": "Logout",
            "PROFILE_LINK": "Mi cuenta"
        }
    };

    var spanish = /*#__PURE__*/Object.freeze({
        __proto__: null,
        'default': esES
    });

    var svSE = {
        "APP_SWITCHER": {
            "MORE_APPS": "Fler appar",
            "MSG_NO_APPS": "Det finns för närvarande inga appar som kan visas."
        },
        "LOGIN": {
            "LOGIN_BUTTON": "Login",
            "LOGOUT_BUTTON": "Logga ut",
            "PROFILE_LINK": "Mitt konto"
        }
    };

    var swedish = /*#__PURE__*/Object.freeze({
        __proto__: null,
        'default': svSE
    });

    var trTR = {
        "APP_SWITCHER": {
            "MORE_APPS": "Daha fazla uygulama",
            "MSG_NO_APPS": "Şu anda görüntülenebilen hiçbir uygulama yok."
        },
        "LOGIN": {
            "LOGIN_BUTTON": "Login",
            "LOGOUT_BUTTON": "Çıkış",
            "PROFILE_LINK": "Hesabım"
        }
    };

    var turkish = /*#__PURE__*/Object.freeze({
        __proto__: null,
        'default': trTR
    });

    var StaticTranslateLoader = /** @class */ (function () {
        function StaticTranslateLoader() {
            this.defautLanguage = 'en-GB';
            this.languages = {
                'en-GB': english,
                'de-DE': german,
                'de-AT': austrian,
                'bg-BG': bulgarian,
                'hr-HR': croatian,
                'cs-CZ': czech,
                'nl-NL': dutch,
                'fi-FI': finnish,
                'fr-FR': french,
                'hu-HU': hungarian,
                'it-IT': italian,
                'pl-PL': polish,
                'ro-RO': romanian,
                'ru-RU': russian,
                'sr-RS': serbian,
                'sl-SI': slovenian,
                'es-ES': spanish,
                'sv-SE': swedish,
                'tr-TR': turkish
            };
        }
        StaticTranslateLoader.prototype.getLanguage = function (lang) {
            var foundLanguage = Object.keys(this.languages).find(function (l) { return l.startsWith(lang); });
            return foundLanguage ? foundLanguage : this.defautLanguage;
        };
        StaticTranslateLoader.prototype.getTranslation = function (lang) {
            var supportedLanguage = this.getLanguage(lang);
            var translation = this.languages[supportedLanguage];
            return rxjs.of(translation.default);
        };
        StaticTranslateLoader = __decorate([
            core.Injectable(),
            __metadata("design:paramtypes", [])
        ], StaticTranslateLoader);
        return StaticTranslateLoader;
    }());
    var StaticTranslationService = /** @class */ (function (_super) {
        __extends(StaticTranslationService, _super);
        function StaticTranslationService() {
            return _super.call(this, null, new StaticTranslateLoader(), new core$1.TranslateFakeCompiler(), new core$1.TranslateDefaultParser(), new core$1.FakeMissingTranslationHandler(), true, true) || this;
        }
        StaticTranslationService = __decorate([
            core.Injectable(),
            __metadata("design:paramtypes", [])
        ], StaticTranslationService);
        return StaticTranslationService;
    }(core$1.TranslateService));

    var BaseComponent = /** @class */ (function () {
        function BaseComponent(translateService) {
            this.translateService = translateService;
            translateService.use(translateService.getBrowserCultureLang());
        }
        BaseComponent.prototype.ngOnInit = function () {
        };
        Object.defineProperty(BaseComponent.prototype, "lang", {
            set: function (lang) {
                if (lang) {
                    this.translateService.use(lang);
                }
            },
            enumerable: true,
            configurable: true
        });
        BaseComponent.prototype.getCsrfToken = function () {
            if (this.csrfToken) {
                // csrfToken is either the token itself or the local storage key that contains the token
                // first check if the given parameter is already a token
                if (this.isToken(this.csrfToken)) {
                    return this.csrfToken;
                }
                // otherwise use the passed value as key for local storage
                try {
                    var token = localStorage.getItem(this.csrfToken);
                    return this.isToken(token) ? token : undefined;
                }
                catch (error) {
                    // local storage not available
                    return undefined;
                }
            }
        };
        /*
         * just check if it is a token (don't check validity)
         */
        BaseComponent.prototype.isToken = function (token) {
            try {
                var decoded = jwt_decode(token);
                return !!decoded;
            }
            catch (error) {
                return false;
            }
        };
        BaseComponent.ctorParameters = function () { return [
            { type: StaticTranslationService }
        ]; };
        __decorate([
            core.Input(),
            __metadata("design:type", String)
        ], BaseComponent.prototype, "csrfToken", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object),
            __metadata("design:paramtypes", [Object])
        ], BaseComponent.prototype, "lang", null);
        BaseComponent = __decorate([
            core.Component({
                template: ''
            }),
            __metadata("design:paramtypes", [StaticTranslationService])
        ], BaseComponent);
        return BaseComponent;
    }());

    var LoginComponent = /** @class */ (function (_super) {
        __extends(LoginComponent, _super);
        function LoginComponent(loginService, translateService) {
            var _this = _super.call(this, translateService) || this;
            _this.loginService = loginService;
            _this.type = 'customer';
            _this.logoutEvent = new core.EventEmitter();
            _this.isLoggedIn = false;
            _this.authenticating = true;
            return _this;
        }
        LoginComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.accountAppUrl = this.loginService.accountAppUrl;
            this.loginService.user$.pipe(operators.filter(function (u) { return !!u; })).subscribe(function (user) {
                _this.avatar = user.avatarLink;
            });
        };
        LoginComponent.prototype.ngAfterViewInit = function () {
            var _this = this;
            if (this.appId) {
                this.loginService.setAppId(this.appId);
            }
            this.loginService.setCustomerType(this.type);
            var token = this.getCsrfToken();
            if (token) {
                this.loginService.setCsrfToken(token);
            }
            if (this.appManagesAuthentication && this.authenticated) {
                this.authenticatedSubscription = this.authenticated.subscribe(function (authenticated) {
                    if (authenticated || authenticated === false) {
                        _this.setLoggedIn(authenticated);
                        _this.tryLogin();
                    }
                    else {
                        // auth state not yet known
                        _this.authenticating = true;
                    }
                });
            }
            else {
                this.tryLogin();
            }
        };
        LoginComponent.prototype.setLoggedIn = function (loggedIn) {
            this.isLoggedIn = loggedIn;
            this.authenticating = false;
        };
        LoginComponent.prototype.ngOnDestroy = function () {
            if (this.authSubscription) {
                this.authSubscription.unsubscribe();
            }
            if (this.authenticatedSubscription) {
                this.authenticatedSubscription.unsubscribe();
            }
        };
        LoginComponent.prototype.tryLogin = function () {
            var _this = this;
            this.authSubscription = this.loginService
                .tryLogin()
                .subscribe(function (user) {
                _this.setLoggedIn(!!user);
            }, function (error) {
                // this code should be removed if it turns out it never occurs
                console.log('tryLogin: observable yields no result, this should not happen');
                console.log(error);
                _this.authenticating = false;
            });
        };
        LoginComponent.prototype.login = function () {
            this.authenticating = true;
            this.loginService.login();
        };
        LoginComponent.prototype.logout = function () {
            this.logoutEvent.emit('logged out');
            this.loginService.logout();
        };
        LoginComponent.ctorParameters = function () { return [
            { type: LoginService },
            { type: StaticTranslationService }
        ]; };
        __decorate([
            core.Input(),
            __metadata("design:type", String)
        ], LoginComponent.prototype, "appId", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Boolean)
        ], LoginComponent.prototype, "appManagesAuthentication", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", rxjs.Observable)
        ], LoginComponent.prototype, "authenticated", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", String)
        ], LoginComponent.prototype, "type", void 0);
        __decorate([
            core.Output(),
            __metadata("design:type", Object)
        ], LoginComponent.prototype, "logoutEvent", void 0);
        LoginComponent = __decorate([
            core.Component({
                selector: 'vih-login',
                template: "<div class=\"app-login\">\n  <button class=\"login-button\" mat-raised-button color=\"primary\" *ngIf=\"!isLoggedIn && !authenticating\" (click)=\"login()\">\n    {{ 'LOGIN.LOGIN_BUTTON' | vihTranslate }}\n  </button>\n  <mat-spinner *ngIf=\"!isLoggedIn && authenticating\" [diameter]=\"24\" color=\"primary\"></mat-spinner>\n  <button mat-icon-button [matMenuTriggerFor]=\"appMenu\" *ngIf=\"isLoggedIn\">\n    <mat-icon *ngIf=\"!avatar\">account_circle</mat-icon>\n    <img class=\"avatar\" [src]=\"avatar\" *ngIf=\"avatar\">\n  </button>\n</div>\n\n<mat-menu #appMenu=\"matMenu\">\n  <a mat-menu-item\n     *ngIf=\"accountAppUrl\"\n     style=\"display: flex; align-items: center; text-decoration: none;\"\n     [href]=\"accountAppUrl\" target=\"_blank\" rel=\"noopener\">\n    <mat-icon>account_circle</mat-icon>\n    <span>{{ 'LOGIN.PROFILE_LINK' | vihTranslate }}</span>\n  </a>\n  <a mat-menu-item (click)=\"logout()\" style=\"display: flex; align-items: center; text-decoration: none;\">\n    <mat-icon>exit_to_app</mat-icon>\n    <span>{{ 'LOGIN.LOGOUT_BUTTON' | vihTranslate }}</span>\n  </a>\n</mat-menu>\n\n",
                styles: ["@import url(https://fonts.googleapis.com/icon?family=Material+Icons);.mat-badge-content{font-weight:600;font-size:12px;font-family:Roboto,\"Helvetica Neue\",sans-serif}.mat-badge-small .mat-badge-content{font-size:9px}.mat-badge-large .mat-badge-content{font-size:24px}.mat-h1,.mat-headline,.mat-typography h1{font:400 24px/32px Roboto,\"Helvetica Neue\",sans-serif;margin:0 0 16px}.mat-h2,.mat-title,.mat-typography h2{font:500 20px/32px Roboto,\"Helvetica Neue\",sans-serif;margin:0 0 16px}.mat-h3,.mat-subheading-2,.mat-typography h3{font:400 16px/28px Roboto,\"Helvetica Neue\",sans-serif;margin:0 0 16px}.mat-h4,.mat-subheading-1,.mat-typography h4{font:400 15px/24px Roboto,\"Helvetica Neue\",sans-serif;margin:0 0 16px}.mat-h5,.mat-h6,.mat-typography h5,.mat-typography h6{margin:0 0 12px}.mat-body-2,.mat-body-strong{font:500 14px/24px Roboto,\"Helvetica Neue\",sans-serif}.mat-body,.mat-body-1,.mat-typography{font:400 14px/20px Roboto,\"Helvetica Neue\",sans-serif}.mat-body p,.mat-body-1 p,.mat-typography p{margin:0 0 12px}.mat-caption,.mat-small{font:400 12px/20px Roboto,\"Helvetica Neue\",sans-serif}.mat-display-4,.mat-typography .mat-display-4{font:300 112px/112px Roboto,\"Helvetica Neue\",sans-serif;letter-spacing:-.05em;margin:0 0 56px}.mat-display-3,.mat-typography .mat-display-3{font:400 56px/56px Roboto,\"Helvetica Neue\",sans-serif;letter-spacing:-.02em;margin:0 0 64px}.mat-display-2,.mat-typography .mat-display-2{font:400 45px/48px Roboto,\"Helvetica Neue\",sans-serif;letter-spacing:-.005em;margin:0 0 64px}.mat-display-1,.mat-typography .mat-display-1{font:400 34px/40px Roboto,\"Helvetica Neue\",sans-serif;margin:0 0 64px}.mat-bottom-sheet-container{font:400 14px/20px Roboto,\"Helvetica Neue\",sans-serif}.mat-button,.mat-fab,.mat-flat-button,.mat-icon-button,.mat-mini-fab,.mat-raised-button,.mat-stroked-button{font-family:Roboto,\"Helvetica Neue\",sans-serif;font-size:14px;font-weight:500}.mat-button-toggle,.mat-card{font-family:Roboto,\"Helvetica Neue\",sans-serif}.mat-card-title{font-size:24px;font-weight:500}.mat-card-header .mat-card-title{font-size:20px}.mat-card-content,.mat-card-subtitle{font-size:14px}.mat-checkbox{font-family:Roboto,\"Helvetica Neue\",sans-serif}.mat-checkbox-layout .mat-checkbox-label{line-height:24px}.mat-chip{font-size:14px;font-weight:500}.mat-chip .mat-chip-remove.mat-icon,.mat-chip .mat-chip-trailing-icon.mat-icon{font-size:18px}.mat-table{font-family:Roboto,\"Helvetica Neue\",sans-serif}.mat-header-cell{font-size:12px;font-weight:500}.mat-cell,.mat-footer-cell{font-size:14px}.mat-calendar{font-family:Roboto,\"Helvetica Neue\",sans-serif}.mat-calendar-body{font-size:13px}.mat-calendar-body-label,.mat-calendar-period-button{font-size:14px;font-weight:500}.mat-calendar-table-header th{font-size:11px;font-weight:400}.mat-dialog-title{font:500 20px/32px Roboto,\"Helvetica Neue\",sans-serif}.mat-expansion-panel-header{font-family:Roboto,\"Helvetica Neue\",sans-serif;font-size:15px;font-weight:400}.mat-expansion-panel-content{font:400 14px/20px Roboto,\"Helvetica Neue\",sans-serif}.mat-form-field{font-size:inherit;font-weight:400;line-height:1.125;font-family:Roboto,\"Helvetica Neue\",sans-serif}.mat-form-field-wrapper{padding-bottom:1.34375em}.mat-form-field-prefix .mat-icon,.mat-form-field-suffix .mat-icon{font-size:150%;line-height:1.125}.mat-form-field-prefix .mat-icon-button,.mat-form-field-suffix .mat-icon-button{height:1.5em;width:1.5em}.mat-form-field-prefix .mat-icon-button .mat-icon,.mat-form-field-suffix .mat-icon-button .mat-icon{height:1.125em;line-height:1.125}.mat-form-field-infix{padding:.5em 0;border-top:.84375em solid transparent}.mat-form-field-can-float .mat-input-server:focus+.mat-form-field-label-wrapper .mat-form-field-label,.mat-form-field-can-float.mat-form-field-should-float .mat-form-field-label{transform:translateY(-1.34375em) scale(.75);width:133.3333333333%}.mat-form-field-can-float .mat-input-server[label]:not(:label-shown)+.mat-form-field-label-wrapper .mat-form-field-label{transform:translateY(-1.34374em) scale(.75);width:133.3333433333%}.mat-form-field-label-wrapper{top:-.84375em;padding-top:.84375em}.mat-form-field-label{top:1.34375em}.mat-form-field-underline{bottom:1.34375em}.mat-form-field-subscript-wrapper{font-size:75%;margin-top:.6666666667em;top:calc(100% - 1.7916666667em)}.mat-form-field-appearance-legacy .mat-form-field-wrapper{padding-bottom:1.25em}.mat-form-field-appearance-legacy .mat-form-field-infix{padding:.4375em 0}.mat-form-field-appearance-legacy.mat-form-field-can-float .mat-input-server:focus+.mat-form-field-label-wrapper .mat-form-field-label,.mat-form-field-appearance-legacy.mat-form-field-can-float.mat-form-field-should-float .mat-form-field-label{transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.001px);-ms-transform:translateY(-1.28125em) scale(.75);width:133.3333333333%}.mat-form-field-appearance-legacy.mat-form-field-can-float .mat-form-field-autofill-control:-webkit-autofill+.mat-form-field-label-wrapper .mat-form-field-label{transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.00101px);-ms-transform:translateY(-1.28124em) scale(.75);width:133.3333433333%}.mat-form-field-appearance-legacy.mat-form-field-can-float .mat-input-server[label]:not(:label-shown)+.mat-form-field-label-wrapper .mat-form-field-label{transform:translateY(-1.28125em) scale(.75) perspective(100px) translateZ(.00102px);-ms-transform:translateY(-1.28123em) scale(.75);width:133.3333533333%}.mat-form-field-appearance-legacy .mat-form-field-label{top:1.28125em}.mat-form-field-appearance-legacy .mat-form-field-subscript-wrapper{margin-top:.5416666667em;top:calc(100% - 1.6666666667em)}@media print{.mat-form-field-appearance-legacy.mat-form-field-can-float .mat-input-server:focus+.mat-form-field-label-wrapper .mat-form-field-label,.mat-form-field-appearance-legacy.mat-form-field-can-float.mat-form-field-should-float .mat-form-field-label{transform:translateY(-1.28122em) scale(.75)}.mat-form-field-appearance-legacy.mat-form-field-can-float .mat-form-field-autofill-control:-webkit-autofill+.mat-form-field-label-wrapper .mat-form-field-label{transform:translateY(-1.28121em) scale(.75)}.mat-form-field-appearance-legacy.mat-form-field-can-float .mat-input-server[label]:not(:label-shown)+.mat-form-field-label-wrapper .mat-form-field-label{transform:translateY(-1.2812em) scale(.75)}}.mat-form-field-appearance-fill .mat-form-field-infix{padding:.25em 0 .75em}.mat-form-field-appearance-fill .mat-form-field-label{top:1.09375em;margin-top:-.5em}.mat-form-field-appearance-fill.mat-form-field-can-float .mat-input-server:focus+.mat-form-field-label-wrapper .mat-form-field-label,.mat-form-field-appearance-fill.mat-form-field-can-float.mat-form-field-should-float .mat-form-field-label{transform:translateY(-.59375em) scale(.75);width:133.3333333333%}.mat-form-field-appearance-fill.mat-form-field-can-float .mat-input-server[label]:not(:label-shown)+.mat-form-field-label-wrapper .mat-form-field-label{transform:translateY(-.59374em) scale(.75);width:133.3333433333%}.mat-form-field-appearance-outline .mat-form-field-infix{padding:1em 0}.mat-form-field-appearance-outline .mat-form-field-label{top:1.84375em;margin-top:-.25em}.mat-form-field-appearance-outline.mat-form-field-can-float .mat-input-server:focus+.mat-form-field-label-wrapper .mat-form-field-label,.mat-form-field-appearance-outline.mat-form-field-can-float.mat-form-field-should-float .mat-form-field-label{transform:translateY(-1.59375em) scale(.75);width:133.3333333333%}.mat-form-field-appearance-outline.mat-form-field-can-float .mat-input-server[label]:not(:label-shown)+.mat-form-field-label-wrapper .mat-form-field-label{transform:translateY(-1.59374em) scale(.75);width:133.3333433333%}.mat-grid-tile-footer,.mat-grid-tile-header{font-size:14px}.mat-grid-tile-footer .mat-line,.mat-grid-tile-header .mat-line{white-space:nowrap;overflow:hidden;text-overflow:ellipsis;display:block;box-sizing:border-box}.mat-grid-tile-footer .mat-line:nth-child(n+2),.mat-grid-tile-header .mat-line:nth-child(n+2){font-size:12px}input.mat-input-element{margin-top:-.0625em}.mat-menu-item{font-family:Roboto,\"Helvetica Neue\",sans-serif;font-size:14px;font-weight:400}.mat-paginator,.mat-paginator-page-size .mat-select-trigger{font-family:Roboto,\"Helvetica Neue\",sans-serif;font-size:12px}.mat-radio-button,.mat-select{font-family:Roboto,\"Helvetica Neue\",sans-serif}.mat-select-trigger{height:1.125em}.mat-slide-toggle-content{font-family:Roboto,\"Helvetica Neue\",sans-serif}.mat-slider-thumb-label-text{font-family:Roboto,\"Helvetica Neue\",sans-serif;font-size:12px;font-weight:500}.mat-stepper-horizontal,.mat-stepper-vertical{font-family:Roboto,\"Helvetica Neue\",sans-serif}.mat-step-label{font-size:14px;font-weight:400}.mat-step-sub-label-error{font-weight:400}.mat-step-label-error{font-size:14px}.mat-step-label-selected{font-size:14px;font-weight:500}.mat-tab-group{font-family:Roboto,\"Helvetica Neue\",sans-serif}.mat-tab-label,.mat-tab-link{font-family:Roboto,\"Helvetica Neue\",sans-serif;font-size:14px;font-weight:500}.mat-toolbar,.mat-toolbar h1,.mat-toolbar h2,.mat-toolbar h3,.mat-toolbar h4,.mat-toolbar h5,.mat-toolbar h6{font:500 20px/32px Roboto,\"Helvetica Neue\",sans-serif;margin:0}.mat-tooltip{font-family:Roboto,\"Helvetica Neue\",sans-serif;font-size:10px;padding-top:6px;padding-bottom:6px}.mat-tooltip-handset{font-size:14px;padding-top:8px;padding-bottom:8px}.mat-list-item,.mat-list-option{font-family:Roboto,\"Helvetica Neue\",sans-serif}.mat-list-base .mat-list-item{font-size:16px}.mat-list-base .mat-list-item .mat-line{white-space:nowrap;overflow:hidden;text-overflow:ellipsis;display:block;box-sizing:border-box}.mat-list-base .mat-list-item .mat-line:nth-child(n+2){font-size:14px}.mat-list-base .mat-list-option{font-size:16px}.mat-list-base .mat-list-option .mat-line{white-space:nowrap;overflow:hidden;text-overflow:ellipsis;display:block;box-sizing:border-box}.mat-list-base .mat-list-option .mat-line:nth-child(n+2){font-size:14px}.mat-list-base[dense] .mat-list-item{font-size:12px}.mat-list-base[dense] .mat-list-item .mat-line{white-space:nowrap;overflow:hidden;text-overflow:ellipsis;display:block;box-sizing:border-box}.mat-list-base[dense] .mat-list-item .mat-line:nth-child(n+2),.mat-list-base[dense] .mat-list-option{font-size:12px}.mat-list-base[dense] .mat-list-option .mat-line{white-space:nowrap;overflow:hidden;text-overflow:ellipsis;display:block;box-sizing:border-box}.mat-list-base[dense] .mat-list-option .mat-line:nth-child(n+2){font-size:12px}.mat-list-base[dense] .mat-subheader{font-family:Roboto,\"Helvetica Neue\",sans-serif;font-size:12px;font-weight:500}.mat-option{font-family:Roboto,\"Helvetica Neue\",sans-serif;font-size:16px;color:rgba(0,0,0,.87)}.mat-optgroup-label{font:500 14px/24px Roboto,\"Helvetica Neue\",sans-serif;color:rgba(0,0,0,.54)}.mat-simple-snackbar{font-family:Roboto,\"Helvetica Neue\",sans-serif;font-size:14px}.mat-simple-snackbar-action{line-height:1;font-family:inherit;font-size:inherit;font-weight:500}.mat-ripple{overflow:hidden;position:relative}.mat-ripple.mat-ripple-unbounded{overflow:visible}.mat-ripple-element{position:absolute;border-radius:50%;pointer-events:none;transition:opacity,transform cubic-bezier(0,0,.2,1);transform:scale(0)}@media (-ms-high-contrast:active){.mat-ripple-element{display:none}}.cdk-visually-hidden{border:0;clip:rect(0 0 0 0);height:1px;margin:-1px;overflow:hidden;padding:0;position:absolute;width:1px;outline:0;-webkit-appearance:none;-moz-appearance:none}.cdk-global-overlay-wrapper,.cdk-overlay-container{pointer-events:none;top:0;left:0;height:100%;width:100%}.cdk-overlay-container{position:fixed;z-index:1000}.cdk-overlay-container:empty{display:none}.cdk-global-overlay-wrapper{display:flex;position:absolute;z-index:1000}.cdk-overlay-pane{position:absolute;pointer-events:auto;box-sizing:border-box;z-index:1000;display:flex;max-width:100%;max-height:100%}.cdk-overlay-backdrop{position:absolute;top:0;bottom:0;left:0;right:0;z-index:1000;pointer-events:auto;-webkit-tap-highlight-color:transparent;transition:opacity .4s cubic-bezier(.25,.8,.25,1);opacity:0}.cdk-overlay-backdrop.cdk-overlay-backdrop-showing{opacity:1}@media screen and (-ms-high-contrast:active){.cdk-overlay-backdrop.cdk-overlay-backdrop-showing{opacity:.6}}.cdk-overlay-dark-backdrop{background:rgba(0,0,0,.32)}.cdk-overlay-transparent-backdrop,.cdk-overlay-transparent-backdrop.cdk-overlay-backdrop-showing{opacity:0}.cdk-overlay-connected-position-bounding-box{position:absolute;z-index:1000;display:flex;flex-direction:column;min-width:1px;min-height:1px}.cdk-global-scrollblock{position:fixed;width:100%;overflow-y:scroll}@-webkit-keyframes cdk-text-field-autofill-start{/*!*/}@keyframes cdk-text-field-autofill-start{/*!*/}@-webkit-keyframes cdk-text-field-autofill-end{/*!*/}@keyframes cdk-text-field-autofill-end{/*!*/}.cdk-text-field-autofill-monitored:-webkit-autofill{-webkit-animation-name:cdk-text-field-autofill-start;animation-name:cdk-text-field-autofill-start}.cdk-text-field-autofill-monitored:not(:-webkit-autofill){-webkit-animation-name:cdk-text-field-autofill-end;animation-name:cdk-text-field-autofill-end}textarea.cdk-textarea-autosize{resize:none}textarea.cdk-textarea-autosize-measuring{height:auto!important;overflow:hidden!important;padding:2px 0!important;box-sizing:content-box!important}.mat-ripple-element{background-color:rgba(0,0,0,.1)}.mat-option.mat-selected:not(.mat-option-multiple):not(.mat-option-disabled),.mat-option:focus:not(.mat-option-disabled),.mat-option:hover:not(.mat-option-disabled){background:rgba(0,0,0,.04)}.mat-option.mat-active{background:rgba(0,0,0,.04);color:rgba(0,0,0,.87)}.mat-option.mat-option-disabled{color:rgba(0,0,0,.38)}.mat-primary .mat-option.mat-selected:not(.mat-option-disabled){color:#000}.mat-accent .mat-option.mat-selected:not(.mat-option-disabled){color:#448aff}.mat-warn .mat-option.mat-selected:not(.mat-option-disabled){color:#f44336}.mat-optgroup-disabled .mat-optgroup-label{color:rgba(0,0,0,.38)}.mat-pseudo-checkbox{color:rgba(0,0,0,.54)}.mat-pseudo-checkbox::after{color:#fafafa}.mat-pseudo-checkbox-disabled{color:#b0b0b0}.mat-primary .mat-pseudo-checkbox-checked,.mat-primary .mat-pseudo-checkbox-indeterminate{background:#000}.mat-accent .mat-pseudo-checkbox-checked,.mat-accent .mat-pseudo-checkbox-indeterminate,.mat-pseudo-checkbox-checked,.mat-pseudo-checkbox-indeterminate{background:#448aff}.mat-warn .mat-pseudo-checkbox-checked,.mat-warn .mat-pseudo-checkbox-indeterminate{background:#f44336}.mat-pseudo-checkbox-checked.mat-pseudo-checkbox-disabled,.mat-pseudo-checkbox-indeterminate.mat-pseudo-checkbox-disabled{background:#b0b0b0}.mat-elevation-z0{box-shadow:0 0 0 0 rgba(0,0,0,.2),0 0 0 0 rgba(0,0,0,.14),0 0 0 0 rgba(0,0,0,.12)}.mat-elevation-z1{box-shadow:0 2px 1px -1px rgba(0,0,0,.2),0 1px 1px 0 rgba(0,0,0,.14),0 1px 3px 0 rgba(0,0,0,.12)}.mat-elevation-z2{box-shadow:0 3px 1px -2px rgba(0,0,0,.2),0 2px 2px 0 rgba(0,0,0,.14),0 1px 5px 0 rgba(0,0,0,.12)}.mat-elevation-z3{box-shadow:0 3px 3px -2px rgba(0,0,0,.2),0 3px 4px 0 rgba(0,0,0,.14),0 1px 8px 0 rgba(0,0,0,.12)}.mat-elevation-z4{box-shadow:0 2px 4px -1px rgba(0,0,0,.2),0 4px 5px 0 rgba(0,0,0,.14),0 1px 10px 0 rgba(0,0,0,.12)}.mat-elevation-z5{box-shadow:0 3px 5px -1px rgba(0,0,0,.2),0 5px 8px 0 rgba(0,0,0,.14),0 1px 14px 0 rgba(0,0,0,.12)}.mat-elevation-z6{box-shadow:0 3px 5px -1px rgba(0,0,0,.2),0 6px 10px 0 rgba(0,0,0,.14),0 1px 18px 0 rgba(0,0,0,.12)}.mat-elevation-z7{box-shadow:0 4px 5px -2px rgba(0,0,0,.2),0 7px 10px 1px rgba(0,0,0,.14),0 2px 16px 1px rgba(0,0,0,.12)}.mat-elevation-z8{box-shadow:0 5px 5px -3px rgba(0,0,0,.2),0 8px 10px 1px rgba(0,0,0,.14),0 3px 14px 2px rgba(0,0,0,.12)}.mat-elevation-z9{box-shadow:0 5px 6px -3px rgba(0,0,0,.2),0 9px 12px 1px rgba(0,0,0,.14),0 3px 16px 2px rgba(0,0,0,.12)}.mat-elevation-z10{box-shadow:0 6px 6px -3px rgba(0,0,0,.2),0 10px 14px 1px rgba(0,0,0,.14),0 4px 18px 3px rgba(0,0,0,.12)}.mat-elevation-z11{box-shadow:0 6px 7px -4px rgba(0,0,0,.2),0 11px 15px 1px rgba(0,0,0,.14),0 4px 20px 3px rgba(0,0,0,.12)}.mat-elevation-z12{box-shadow:0 7px 8px -4px rgba(0,0,0,.2),0 12px 17px 2px rgba(0,0,0,.14),0 5px 22px 4px rgba(0,0,0,.12)}.mat-elevation-z13{box-shadow:0 7px 8px -4px rgba(0,0,0,.2),0 13px 19px 2px rgba(0,0,0,.14),0 5px 24px 4px rgba(0,0,0,.12)}.mat-elevation-z14{box-shadow:0 7px 9px -4px rgba(0,0,0,.2),0 14px 21px 2px rgba(0,0,0,.14),0 5px 26px 4px rgba(0,0,0,.12)}.mat-elevation-z15{box-shadow:0 8px 9px -5px rgba(0,0,0,.2),0 15px 22px 2px rgba(0,0,0,.14),0 6px 28px 5px rgba(0,0,0,.12)}.mat-elevation-z16{box-shadow:0 8px 10px -5px rgba(0,0,0,.2),0 16px 24px 2px rgba(0,0,0,.14),0 6px 30px 5px rgba(0,0,0,.12)}.mat-elevation-z17{box-shadow:0 8px 11px -5px rgba(0,0,0,.2),0 17px 26px 2px rgba(0,0,0,.14),0 6px 32px 5px rgba(0,0,0,.12)}.mat-elevation-z18{box-shadow:0 9px 11px -5px rgba(0,0,0,.2),0 18px 28px 2px rgba(0,0,0,.14),0 7px 34px 6px rgba(0,0,0,.12)}.mat-elevation-z19{box-shadow:0 9px 12px -6px rgba(0,0,0,.2),0 19px 29px 2px rgba(0,0,0,.14),0 7px 36px 6px rgba(0,0,0,.12)}.mat-elevation-z20{box-shadow:0 10px 13px -6px rgba(0,0,0,.2),0 20px 31px 3px rgba(0,0,0,.14),0 8px 38px 7px rgba(0,0,0,.12)}.mat-elevation-z21{box-shadow:0 10px 13px -6px rgba(0,0,0,.2),0 21px 33px 3px rgba(0,0,0,.14),0 8px 40px 7px rgba(0,0,0,.12)}.mat-elevation-z22{box-shadow:0 10px 14px -6px rgba(0,0,0,.2),0 22px 35px 3px rgba(0,0,0,.14),0 8px 42px 7px rgba(0,0,0,.12)}.mat-elevation-z23{box-shadow:0 11px 14px -7px rgba(0,0,0,.2),0 23px 36px 3px rgba(0,0,0,.14),0 9px 44px 8px rgba(0,0,0,.12)}.mat-elevation-z24{box-shadow:0 11px 15px -7px rgba(0,0,0,.2),0 24px 38px 3px rgba(0,0,0,.14),0 9px 46px 8px rgba(0,0,0,.12)}.mat-app-background{background-color:#fafafa;color:rgba(0,0,0,.87)}.mat-theme-loaded-marker{display:none}.mat-autocomplete-panel{background:#fff;color:rgba(0,0,0,.87)}.mat-autocomplete-panel:not([class*=mat-elevation-z]){box-shadow:0 2px 4px -1px rgba(0,0,0,.2),0 4px 5px 0 rgba(0,0,0,.14),0 1px 10px 0 rgba(0,0,0,.12)}.mat-autocomplete-panel .mat-option.mat-selected:not(.mat-active):not(:hover){background:#fff}.mat-autocomplete-panel .mat-option.mat-selected:not(.mat-active):not(:hover):not(.mat-option-disabled){color:rgba(0,0,0,.87)}@media (-ms-high-contrast:active){.mat-badge-content{outline:solid 1px;border-radius:0}.mat-checkbox-disabled{opacity:.5}}.mat-badge-accent .mat-badge-content{background:#448aff;color:#fff}.mat-badge-warn .mat-badge-content{color:#fff;background:#f44336}.mat-badge{position:relative}.mat-badge-hidden .mat-badge-content{display:none}.mat-badge-disabled .mat-badge-content{background:#b9b9b9;color:rgba(0,0,0,.38)}.mat-badge-content{color:#fff;background:#000;position:absolute;text-align:center;display:inline-block;border-radius:50%;transition:transform .2s ease-in-out;transform:scale(.6);overflow:hidden;white-space:nowrap;text-overflow:ellipsis;pointer-events:none}.mat-badge-content._mat-animation-noopable,.ng-animate-disabled .mat-badge-content{transition:none}.mat-badge-content.mat-badge-active{transform:none}.mat-badge-small .mat-badge-content{width:16px;height:16px;line-height:16px}.mat-badge-small.mat-badge-above .mat-badge-content{top:-8px}.mat-badge-small.mat-badge-below .mat-badge-content{bottom:-8px}.mat-badge-small.mat-badge-before .mat-badge-content{left:-16px}[dir=rtl] .mat-badge-small.mat-badge-before .mat-badge-content{left:auto;right:-16px}.mat-badge-small.mat-badge-after .mat-badge-content{right:-16px}[dir=rtl] .mat-badge-small.mat-badge-after .mat-badge-content{right:auto;left:-16px}.mat-badge-small.mat-badge-overlap.mat-badge-before .mat-badge-content{left:-8px}[dir=rtl] .mat-badge-small.mat-badge-overlap.mat-badge-before .mat-badge-content{left:auto;right:-8px}.mat-badge-small.mat-badge-overlap.mat-badge-after .mat-badge-content{right:-8px}[dir=rtl] .mat-badge-small.mat-badge-overlap.mat-badge-after .mat-badge-content{right:auto;left:-8px}.mat-badge-medium .mat-badge-content{width:22px;height:22px;line-height:22px}.mat-badge-medium.mat-badge-above .mat-badge-content{top:-11px}.mat-badge-medium.mat-badge-below .mat-badge-content{bottom:-11px}.mat-badge-medium.mat-badge-before .mat-badge-content{left:-22px}[dir=rtl] .mat-badge-medium.mat-badge-before .mat-badge-content{left:auto;right:-22px}.mat-badge-medium.mat-badge-after .mat-badge-content{right:-22px}[dir=rtl] .mat-badge-medium.mat-badge-after .mat-badge-content{right:auto;left:-22px}.mat-badge-medium.mat-badge-overlap.mat-badge-before .mat-badge-content{left:-11px}[dir=rtl] .mat-badge-medium.mat-badge-overlap.mat-badge-before .mat-badge-content{left:auto;right:-11px}.mat-badge-medium.mat-badge-overlap.mat-badge-after .mat-badge-content{right:-11px}[dir=rtl] .mat-badge-medium.mat-badge-overlap.mat-badge-after .mat-badge-content{right:auto;left:-11px}.mat-badge-large .mat-badge-content{width:28px;height:28px;line-height:28px}.mat-badge-large.mat-badge-above .mat-badge-content{top:-14px}.mat-badge-large.mat-badge-below .mat-badge-content{bottom:-14px}.mat-badge-large.mat-badge-before .mat-badge-content{left:-28px}[dir=rtl] .mat-badge-large.mat-badge-before .mat-badge-content{left:auto;right:-28px}.mat-badge-large.mat-badge-after .mat-badge-content{right:-28px}[dir=rtl] .mat-badge-large.mat-badge-after .mat-badge-content{right:auto;left:-28px}.mat-badge-large.mat-badge-overlap.mat-badge-before .mat-badge-content{left:-14px}[dir=rtl] .mat-badge-large.mat-badge-overlap.mat-badge-before .mat-badge-content{left:auto;right:-14px}.mat-badge-large.mat-badge-overlap.mat-badge-after .mat-badge-content{right:-14px}[dir=rtl] .mat-badge-large.mat-badge-overlap.mat-badge-after .mat-badge-content{right:auto;left:-14px}.mat-bottom-sheet-container{box-shadow:0 8px 10px -5px rgba(0,0,0,.2),0 16px 24px 2px rgba(0,0,0,.14),0 6px 30px 5px rgba(0,0,0,.12);background:#fff;color:rgba(0,0,0,.87)}.mat-button,.mat-icon-button,.mat-stroked-button{color:inherit;background:0 0}.mat-button.mat-primary,.mat-icon-button.mat-primary,.mat-stroked-button.mat-primary{color:#000}.mat-button.mat-accent,.mat-icon-button.mat-accent,.mat-stroked-button.mat-accent{color:#448aff}.mat-button.mat-warn,.mat-icon-button.mat-warn,.mat-stroked-button.mat-warn{color:#f44336}.mat-button.mat-accent[disabled],.mat-button.mat-primary[disabled],.mat-button.mat-warn[disabled],.mat-button[disabled][disabled],.mat-icon-button.mat-accent[disabled],.mat-icon-button.mat-primary[disabled],.mat-icon-button.mat-warn[disabled],.mat-icon-button[disabled][disabled],.mat-stroked-button.mat-accent[disabled],.mat-stroked-button.mat-primary[disabled],.mat-stroked-button.mat-warn[disabled],.mat-stroked-button[disabled][disabled]{color:rgba(0,0,0,.26)}.mat-button.mat-primary .mat-button-focus-overlay,.mat-icon-button.mat-primary .mat-button-focus-overlay,.mat-stroked-button.mat-primary .mat-button-focus-overlay{background-color:#000}.mat-button.mat-accent .mat-button-focus-overlay,.mat-icon-button.mat-accent .mat-button-focus-overlay,.mat-stroked-button.mat-accent .mat-button-focus-overlay{background-color:#448aff}.mat-button.mat-warn .mat-button-focus-overlay,.mat-icon-button.mat-warn .mat-button-focus-overlay,.mat-stroked-button.mat-warn .mat-button-focus-overlay{background-color:#f44336}.mat-button[disabled] .mat-button-focus-overlay,.mat-icon-button[disabled] .mat-button-focus-overlay,.mat-stroked-button[disabled] .mat-button-focus-overlay{background-color:transparent}.mat-button .mat-ripple-element,.mat-icon-button .mat-ripple-element,.mat-stroked-button .mat-ripple-element{opacity:.1;background-color:currentColor}.mat-button-focus-overlay{background:#000}.mat-stroked-button:not([disabled]){border-color:rgba(0,0,0,.12)}.mat-fab,.mat-flat-button,.mat-mini-fab,.mat-raised-button{color:rgba(0,0,0,.87);background-color:#fff}.mat-fab.mat-accent,.mat-fab.mat-primary,.mat-fab.mat-warn,.mat-flat-button.mat-accent,.mat-flat-button.mat-primary,.mat-flat-button.mat-warn,.mat-mini-fab.mat-accent,.mat-mini-fab.mat-primary,.mat-mini-fab.mat-warn,.mat-raised-button.mat-accent,.mat-raised-button.mat-primary,.mat-raised-button.mat-warn{color:#fff}.mat-fab.mat-accent[disabled],.mat-fab.mat-primary[disabled],.mat-fab.mat-warn[disabled],.mat-fab[disabled][disabled],.mat-flat-button.mat-accent[disabled],.mat-flat-button.mat-primary[disabled],.mat-flat-button.mat-warn[disabled],.mat-flat-button[disabled][disabled],.mat-mini-fab.mat-accent[disabled],.mat-mini-fab.mat-primary[disabled],.mat-mini-fab.mat-warn[disabled],.mat-mini-fab[disabled][disabled],.mat-raised-button.mat-accent[disabled],.mat-raised-button.mat-primary[disabled],.mat-raised-button.mat-warn[disabled],.mat-raised-button[disabled][disabled]{color:rgba(0,0,0,.26);background-color:rgba(0,0,0,.12)}.mat-fab.mat-primary,.mat-flat-button.mat-primary,.mat-mini-fab.mat-primary,.mat-raised-button.mat-primary{background-color:#000}.mat-fab.mat-accent,.mat-flat-button.mat-accent,.mat-mini-fab.mat-accent,.mat-raised-button.mat-accent{background-color:#448aff}.mat-fab.mat-warn,.mat-flat-button.mat-warn,.mat-mini-fab.mat-warn,.mat-raised-button.mat-warn{background-color:#f44336}.mat-fab.mat-accent .mat-ripple-element,.mat-fab.mat-primary .mat-ripple-element,.mat-fab.mat-warn .mat-ripple-element,.mat-flat-button.mat-accent .mat-ripple-element,.mat-flat-button.mat-primary .mat-ripple-element,.mat-flat-button.mat-warn .mat-ripple-element,.mat-mini-fab.mat-accent .mat-ripple-element,.mat-mini-fab.mat-primary .mat-ripple-element,.mat-mini-fab.mat-warn .mat-ripple-element,.mat-raised-button.mat-accent .mat-ripple-element,.mat-raised-button.mat-primary .mat-ripple-element,.mat-raised-button.mat-warn .mat-ripple-element{background-color:rgba(255,255,255,.1)}.mat-flat-button:not([class*=mat-elevation-z]),.mat-stroked-button:not([class*=mat-elevation-z]){box-shadow:0 0 0 0 rgba(0,0,0,.2),0 0 0 0 rgba(0,0,0,.14),0 0 0 0 rgba(0,0,0,.12)}.mat-raised-button:not([class*=mat-elevation-z]){box-shadow:0 3px 1px -2px rgba(0,0,0,.2),0 2px 2px 0 rgba(0,0,0,.14),0 1px 5px 0 rgba(0,0,0,.12)}.mat-raised-button:not([disabled]):active:not([class*=mat-elevation-z]){box-shadow:0 5px 5px -3px rgba(0,0,0,.2),0 8px 10px 1px rgba(0,0,0,.14),0 3px 14px 2px rgba(0,0,0,.12)}.mat-raised-button[disabled]:not([class*=mat-elevation-z]){box-shadow:0 0 0 0 rgba(0,0,0,.2),0 0 0 0 rgba(0,0,0,.14),0 0 0 0 rgba(0,0,0,.12)}.mat-fab:not([class*=mat-elevation-z]),.mat-mini-fab:not([class*=mat-elevation-z]){box-shadow:0 3px 5px -1px rgba(0,0,0,.2),0 6px 10px 0 rgba(0,0,0,.14),0 1px 18px 0 rgba(0,0,0,.12)}.mat-fab:not([disabled]):active:not([class*=mat-elevation-z]),.mat-mini-fab:not([disabled]):active:not([class*=mat-elevation-z]){box-shadow:0 7px 8px -4px rgba(0,0,0,.2),0 12px 17px 2px rgba(0,0,0,.14),0 5px 22px 4px rgba(0,0,0,.12)}.mat-fab[disabled]:not([class*=mat-elevation-z]),.mat-mini-fab[disabled]:not([class*=mat-elevation-z]){box-shadow:0 0 0 0 rgba(0,0,0,.2),0 0 0 0 rgba(0,0,0,.14),0 0 0 0 rgba(0,0,0,.12)}.mat-button-toggle-group,.mat-button-toggle-standalone{box-shadow:0 3px 1px -2px rgba(0,0,0,.2),0 2px 2px 0 rgba(0,0,0,.14),0 1px 5px 0 rgba(0,0,0,.12)}.mat-button-toggle-group-appearance-standard,.mat-button-toggle-standalone.mat-button-toggle-appearance-standard{box-shadow:none;border:1px solid rgba(0,0,0,.12)}.mat-button-toggle{color:rgba(0,0,0,.38)}.mat-button-toggle .mat-button-toggle-focus-overlay{background-color:rgba(0,0,0,.12)}.mat-button-toggle-appearance-standard{color:rgba(0,0,0,.87);background:#fff}.mat-button-toggle-appearance-standard .mat-button-toggle-focus-overlay{background-color:#000}.mat-button-toggle-group-appearance-standard .mat-button-toggle+.mat-button-toggle{border-left:1px solid rgba(0,0,0,.12)}[dir=rtl] .mat-button-toggle-group-appearance-standard .mat-button-toggle+.mat-button-toggle{border-left:none;border-right:1px solid rgba(0,0,0,.12)}.mat-button-toggle-group-appearance-standard.mat-button-toggle-vertical .mat-button-toggle+.mat-button-toggle{border-left:none;border-right:none;border-top:1px solid rgba(0,0,0,.12)}.mat-button-toggle-checked{background-color:#e0e0e0;color:rgba(0,0,0,.54)}.mat-button-toggle-checked.mat-button-toggle-appearance-standard{color:rgba(0,0,0,.87)}.mat-button-toggle-disabled{color:rgba(0,0,0,.26);background-color:#eee}.mat-button-toggle-disabled.mat-button-toggle-appearance-standard{background:#fff}.mat-button-toggle-disabled.mat-button-toggle-checked{background-color:#bdbdbd}.mat-card{background:#fff;color:rgba(0,0,0,.87)}.mat-card:not([class*=mat-elevation-z]){box-shadow:0 2px 1px -1px rgba(0,0,0,.2),0 1px 1px 0 rgba(0,0,0,.14),0 1px 3px 0 rgba(0,0,0,.12)}.mat-card.mat-card-flat:not([class*=mat-elevation-z]){box-shadow:0 0 0 0 rgba(0,0,0,.2),0 0 0 0 rgba(0,0,0,.14),0 0 0 0 rgba(0,0,0,.12)}.mat-card-subtitle{color:rgba(0,0,0,.54)}.mat-checkbox-frame{border-color:rgba(0,0,0,.54)}.mat-checkbox-checkmark{fill:#fafafa}.mat-checkbox-checkmark-path{stroke:#fafafa!important}@media (-ms-high-contrast:black-on-white){.mat-checkbox-checkmark-path{stroke:#000!important}}.mat-checkbox-mixedmark{background-color:#fafafa}.mat-checkbox-checked.mat-primary .mat-checkbox-background,.mat-checkbox-indeterminate.mat-primary .mat-checkbox-background{background-color:#000}.mat-checkbox-checked.mat-accent .mat-checkbox-background,.mat-checkbox-indeterminate.mat-accent .mat-checkbox-background{background-color:#448aff}.mat-checkbox-checked.mat-warn .mat-checkbox-background,.mat-checkbox-indeterminate.mat-warn .mat-checkbox-background{background-color:#f44336}.mat-checkbox-disabled.mat-checkbox-checked .mat-checkbox-background,.mat-checkbox-disabled.mat-checkbox-indeterminate .mat-checkbox-background{background-color:#b0b0b0}.mat-checkbox-disabled:not(.mat-checkbox-checked) .mat-checkbox-frame{border-color:#b0b0b0}.mat-checkbox-disabled .mat-checkbox-label{color:rgba(0,0,0,.54)}@media (-ms-high-contrast:active){.mat-checkbox-background{background:0 0}}.mat-checkbox .mat-ripple-element{background-color:#000}.mat-checkbox-checked:not(.mat-checkbox-disabled).mat-primary .mat-ripple-element,.mat-checkbox:active:not(.mat-checkbox-disabled).mat-primary .mat-ripple-element{background:#000}.mat-checkbox-checked:not(.mat-checkbox-disabled).mat-accent .mat-ripple-element,.mat-checkbox:active:not(.mat-checkbox-disabled).mat-accent .mat-ripple-element{background:#448aff}.mat-checkbox-checked:not(.mat-checkbox-disabled).mat-warn .mat-ripple-element,.mat-checkbox:active:not(.mat-checkbox-disabled).mat-warn .mat-ripple-element{background:#f44336}.mat-chip.mat-standard-chip{background-color:#e0e0e0;color:rgba(0,0,0,.87)}.mat-chip.mat-standard-chip .mat-chip-remove{color:rgba(0,0,0,.87);opacity:.4}.mat-chip.mat-standard-chip:not(.mat-chip-disabled):active{box-shadow:0 3px 3px -2px rgba(0,0,0,.2),0 3px 4px 0 rgba(0,0,0,.14),0 1px 8px 0 rgba(0,0,0,.12)}.mat-chip.mat-standard-chip:not(.mat-chip-disabled) .mat-chip-remove:hover{opacity:.54}.mat-chip.mat-standard-chip.mat-chip-disabled{opacity:.4}.mat-chip.mat-standard-chip::after{background:#000}.mat-chip.mat-standard-chip.mat-chip-selected.mat-primary{background-color:#000;color:#fff}.mat-chip.mat-standard-chip.mat-chip-selected.mat-primary .mat-chip-remove{color:#fff;opacity:.4}.mat-chip.mat-standard-chip.mat-chip-selected.mat-primary .mat-ripple-element{background:rgba(255,255,255,.1)}.mat-chip.mat-standard-chip.mat-chip-selected.mat-warn{background-color:#f44336;color:#fff}.mat-chip.mat-standard-chip.mat-chip-selected.mat-warn .mat-chip-remove{color:#fff;opacity:.4}.mat-chip.mat-standard-chip.mat-chip-selected.mat-warn .mat-ripple-element{background:rgba(255,255,255,.1)}.mat-chip.mat-standard-chip.mat-chip-selected.mat-accent{background-color:#448aff;color:#fff}.mat-chip.mat-standard-chip.mat-chip-selected.mat-accent .mat-chip-remove{color:#fff;opacity:.4}.mat-chip.mat-standard-chip.mat-chip-selected.mat-accent .mat-ripple-element{background:rgba(255,255,255,.1)}.mat-table{background:#fff}.mat-table tbody,.mat-table tfoot,.mat-table thead,.mat-table-sticky,[mat-footer-row],[mat-header-row],[mat-row],mat-footer-row,mat-header-row,mat-row{background:inherit}mat-footer-row,mat-header-row,mat-row,td.mat-cell,td.mat-footer-cell,th.mat-header-cell{border-bottom-color:rgba(0,0,0,.12)}.mat-header-cell{color:rgba(0,0,0,.54)}.mat-cell,.mat-footer-cell{color:rgba(0,0,0,.87)}.mat-calendar-arrow{border-top-color:rgba(0,0,0,.54)}.mat-datepicker-content .mat-calendar-next-button,.mat-datepicker-content .mat-calendar-previous-button,.mat-datepicker-toggle{color:rgba(0,0,0,.54)}.mat-calendar-table-header{color:rgba(0,0,0,.38)}.mat-calendar-table-header-divider::after{background:rgba(0,0,0,.12)}.mat-calendar-body-label{color:rgba(0,0,0,.54)}.mat-calendar-body-cell-content{color:rgba(0,0,0,.87);border-color:transparent}.mat-calendar-body-disabled>.mat-calendar-body-cell-content:not(.mat-calendar-body-selected){color:rgba(0,0,0,.38)}.cdk-keyboard-focused .mat-calendar-body-active>.mat-calendar-body-cell-content:not(.mat-calendar-body-selected),.cdk-program-focused .mat-calendar-body-active>.mat-calendar-body-cell-content:not(.mat-calendar-body-selected),.mat-calendar-body-cell:not(.mat-calendar-body-disabled):hover>.mat-calendar-body-cell-content:not(.mat-calendar-body-selected){background-color:rgba(0,0,0,.04)}.mat-calendar-body-today:not(.mat-calendar-body-selected){border-color:rgba(0,0,0,.38)}.mat-calendar-body-disabled>.mat-calendar-body-today:not(.mat-calendar-body-selected){border-color:rgba(0,0,0,.18)}.mat-calendar-body-selected{background-color:#000;color:#fff}.mat-calendar-body-disabled>.mat-calendar-body-selected{background-color:rgba(0,0,0,.4)}.mat-calendar-body-today.mat-calendar-body-selected{box-shadow:inset 0 0 0 1px #fff}.mat-datepicker-content{box-shadow:0 2px 4px -1px rgba(0,0,0,.2),0 4px 5px 0 rgba(0,0,0,.14),0 1px 10px 0 rgba(0,0,0,.12);background-color:#fff;color:rgba(0,0,0,.87)}.mat-datepicker-content.mat-accent .mat-calendar-body-selected{background-color:#448aff;color:#fff}.mat-datepicker-content.mat-accent .mat-calendar-body-disabled>.mat-calendar-body-selected{background-color:rgba(68,138,255,.4)}.mat-datepicker-content.mat-accent .mat-calendar-body-today.mat-calendar-body-selected{box-shadow:inset 0 0 0 1px #fff}.mat-datepicker-content.mat-warn .mat-calendar-body-selected{background-color:#f44336;color:#fff}.mat-datepicker-content.mat-warn .mat-calendar-body-disabled>.mat-calendar-body-selected{background-color:rgba(244,67,54,.4)}.mat-datepicker-content.mat-warn .mat-calendar-body-today.mat-calendar-body-selected{box-shadow:inset 0 0 0 1px #fff}.mat-datepicker-content-touch{box-shadow:0 0 0 0 rgba(0,0,0,.2),0 0 0 0 rgba(0,0,0,.14),0 0 0 0 rgba(0,0,0,.12)}.mat-datepicker-toggle-active{color:#000}.mat-datepicker-toggle-active.mat-accent{color:#448aff}.mat-datepicker-toggle-active.mat-warn{color:#f44336}.mat-dialog-container{box-shadow:0 11px 15px -7px rgba(0,0,0,.2),0 24px 38px 3px rgba(0,0,0,.14),0 9px 46px 8px rgba(0,0,0,.12);background:#fff;color:rgba(0,0,0,.87)}.mat-divider{border-top-color:rgba(0,0,0,.12)}.mat-divider-vertical{border-right-color:rgba(0,0,0,.12)}.mat-expansion-panel{background:#fff;color:rgba(0,0,0,.87)}.mat-expansion-panel:not([class*=mat-elevation-z]){box-shadow:0 3px 1px -2px rgba(0,0,0,.2),0 2px 2px 0 rgba(0,0,0,.14),0 1px 5px 0 rgba(0,0,0,.12)}.mat-action-row{border-top-color:rgba(0,0,0,.12)}.mat-expansion-panel .mat-expansion-panel-header.cdk-keyboard-focused:not([aria-disabled=true]),.mat-expansion-panel .mat-expansion-panel-header.cdk-program-focused:not([aria-disabled=true]),.mat-expansion-panel:not(.mat-expanded) .mat-expansion-panel-header:hover:not([aria-disabled=true]){background:rgba(0,0,0,.04)}@media (hover:none){.mat-expansion-panel:not(.mat-expanded):not([aria-disabled=true]) .mat-expansion-panel-header:hover{background:#fff}}.mat-expansion-panel-header-title{color:rgba(0,0,0,.87)}.mat-expansion-indicator::after,.mat-expansion-panel-header-description{color:rgba(0,0,0,.54)}.mat-expansion-panel-header[aria-disabled=true]{color:rgba(0,0,0,.26)}.mat-expansion-panel-header[aria-disabled=true] .mat-expansion-panel-header-description,.mat-expansion-panel-header[aria-disabled=true] .mat-expansion-panel-header-title{color:inherit}.mat-form-field-label,.mat-hint{color:rgba(0,0,0,.6)}.mat-form-field.mat-focused .mat-form-field-label{color:#000}.mat-form-field.mat-focused .mat-form-field-label.mat-accent{color:#448aff}.mat-form-field.mat-focused .mat-form-field-label.mat-warn{color:#f44336}.mat-focused .mat-form-field-required-marker{color:#448aff}.mat-form-field-ripple{background-color:rgba(0,0,0,.87)}.mat-form-field.mat-focused .mat-form-field-ripple{background-color:#000}.mat-form-field.mat-focused .mat-form-field-ripple.mat-accent{background-color:#448aff}.mat-form-field.mat-focused .mat-form-field-ripple.mat-warn{background-color:#f44336}.mat-form-field-type-mat-native-select.mat-focused:not(.mat-form-field-invalid) .mat-form-field-infix::after{color:#000}.mat-form-field-type-mat-native-select.mat-focused:not(.mat-form-field-invalid).mat-accent .mat-form-field-infix::after{color:#448aff}.mat-form-field-type-mat-native-select.mat-focused:not(.mat-form-field-invalid).mat-warn .mat-form-field-infix::after,.mat-form-field.mat-form-field-invalid .mat-form-field-label,.mat-form-field.mat-form-field-invalid .mat-form-field-label .mat-form-field-required-marker,.mat-form-field.mat-form-field-invalid .mat-form-field-label.mat-accent{color:#f44336}.mat-form-field.mat-form-field-invalid .mat-form-field-ripple,.mat-form-field.mat-form-field-invalid .mat-form-field-ripple.mat-accent{background-color:#f44336}.mat-error{color:#f44336}.mat-form-field-appearance-legacy .mat-form-field-label,.mat-form-field-appearance-legacy .mat-hint{color:rgba(0,0,0,.54)}.mat-form-field-appearance-legacy .mat-form-field-underline{bottom:1.25em;background-color:rgba(0,0,0,.42)}.mat-form-field-appearance-legacy.mat-form-field-disabled .mat-form-field-underline{background-image:linear-gradient(to right,rgba(0,0,0,.42) 0,rgba(0,0,0,.42) 33%,transparent 0);background-size:4px 100%;background-repeat:repeat-x}.mat-form-field-appearance-standard .mat-form-field-underline{background-color:rgba(0,0,0,.42)}.mat-form-field-appearance-standard.mat-form-field-disabled .mat-form-field-underline{background-image:linear-gradient(to right,rgba(0,0,0,.42) 0,rgba(0,0,0,.42) 33%,transparent 0);background-size:4px 100%;background-repeat:repeat-x}.mat-form-field-appearance-fill .mat-form-field-flex{background-color:rgba(0,0,0,.04)}.mat-form-field-appearance-fill.mat-form-field-disabled .mat-form-field-flex{background-color:rgba(0,0,0,.02)}.mat-form-field-appearance-fill .mat-form-field-underline::before{background-color:rgba(0,0,0,.42)}.mat-form-field-appearance-fill.mat-form-field-disabled .mat-form-field-label{color:rgba(0,0,0,.38)}.mat-form-field-appearance-fill.mat-form-field-disabled .mat-form-field-underline::before{background-color:transparent}.mat-form-field-appearance-outline .mat-form-field-outline{color:rgba(0,0,0,.12)}.mat-form-field-appearance-outline .mat-form-field-outline-thick{color:rgba(0,0,0,.87)}.mat-form-field-appearance-outline.mat-focused .mat-form-field-outline-thick{color:#000}.mat-form-field-appearance-outline.mat-focused.mat-accent .mat-form-field-outline-thick{color:#448aff}.mat-form-field-appearance-outline.mat-focused.mat-warn .mat-form-field-outline-thick,.mat-form-field-appearance-outline.mat-form-field-invalid.mat-form-field-invalid .mat-form-field-outline-thick{color:#f44336}.mat-form-field-appearance-outline.mat-form-field-disabled .mat-form-field-label{color:rgba(0,0,0,.38)}.mat-form-field-appearance-outline.mat-form-field-disabled .mat-form-field-outline{color:rgba(0,0,0,.06)}.mat-icon.mat-primary{color:#000}.mat-icon.mat-accent{color:#448aff}.mat-icon.mat-warn{color:#f44336}.mat-form-field-type-mat-native-select .mat-form-field-infix::after{color:rgba(0,0,0,.54)}.mat-form-field-type-mat-native-select.mat-form-field-disabled .mat-form-field-infix::after,.mat-input-element:disabled{color:rgba(0,0,0,.38)}.mat-input-element{caret-color:#000}.mat-input-element::placeholder{color:rgba(0,0,0,.42)}.mat-input-element::-moz-placeholder{color:rgba(0,0,0,.42)}.mat-input-element::-webkit-input-placeholder{color:rgba(0,0,0,.42)}.mat-input-element:-ms-input-placeholder{color:rgba(0,0,0,.42)}.mat-accent .mat-input-element{caret-color:#448aff}.mat-form-field-invalid .mat-input-element,.mat-warn .mat-input-element{caret-color:#f44336}.mat-form-field-type-mat-native-select.mat-form-field-invalid .mat-form-field-infix::after{color:#f44336}.mat-list-base .mat-list-item,.mat-list-base .mat-list-option{color:rgba(0,0,0,.87)}.mat-list-base .mat-subheader{font-family:Roboto,\"Helvetica Neue\",sans-serif;font-size:14px;font-weight:500;color:rgba(0,0,0,.54)}.mat-list-item-disabled{background-color:#eee}.mat-action-list .mat-list-item:focus,.mat-action-list .mat-list-item:hover,.mat-list-option:focus,.mat-list-option:hover,.mat-nav-list .mat-list-item:focus,.mat-nav-list .mat-list-item:hover{background:rgba(0,0,0,.04)}.mat-menu-panel{background:#fff}.mat-menu-panel:not([class*=mat-elevation-z]){box-shadow:0 2px 4px -1px rgba(0,0,0,.2),0 4px 5px 0 rgba(0,0,0,.14),0 1px 10px 0 rgba(0,0,0,.12)}.mat-menu-item{background:0 0;color:rgba(0,0,0,.87)}.mat-menu-item[disabled],.mat-menu-item[disabled]::after{color:rgba(0,0,0,.38)}.mat-menu-item .mat-icon-no-color,.mat-menu-item-submenu-trigger::after{color:rgba(0,0,0,.54)}.mat-menu-item-highlighted:not([disabled]),.mat-menu-item.cdk-keyboard-focused:not([disabled]),.mat-menu-item.cdk-program-focused:not([disabled]),.mat-menu-item:hover:not([disabled]){background:rgba(0,0,0,.04)}.mat-paginator{background:#fff}.mat-paginator,.mat-paginator-page-size .mat-select-trigger{color:rgba(0,0,0,.54)}.mat-paginator-decrement,.mat-paginator-increment{border-top:2px solid rgba(0,0,0,.54);border-right:2px solid rgba(0,0,0,.54)}.mat-paginator-first,.mat-paginator-last{border-top:2px solid rgba(0,0,0,.54)}.mat-icon-button[disabled] .mat-paginator-decrement,.mat-icon-button[disabled] .mat-paginator-first,.mat-icon-button[disabled] .mat-paginator-increment,.mat-icon-button[disabled] .mat-paginator-last{border-color:rgba(0,0,0,.38)}.mat-progress-bar-background{fill:#f0f0f0}.mat-progress-bar-buffer{background-color:#f0f0f0}.mat-progress-bar-fill::after{background-color:#000}.mat-progress-bar.mat-accent .mat-progress-bar-background{fill:#82b1ff}.mat-progress-bar.mat-accent .mat-progress-bar-buffer{background-color:#82b1ff}.mat-progress-bar.mat-accent .mat-progress-bar-fill::after{background-color:#448aff}.mat-progress-bar.mat-warn .mat-progress-bar-background{fill:#ffcdd2}.mat-progress-bar.mat-warn .mat-progress-bar-buffer{background-color:#ffcdd2}.mat-progress-bar.mat-warn .mat-progress-bar-fill::after{background-color:#f44336}.mat-progress-spinner circle,.mat-spinner circle{stroke:#000}.mat-progress-spinner.mat-accent circle,.mat-spinner.mat-accent circle{stroke:#448aff}.mat-progress-spinner.mat-warn circle,.mat-spinner.mat-warn circle{stroke:#f44336}.mat-radio-outer-circle{border-color:rgba(0,0,0,.54)}.mat-radio-button.mat-primary.mat-radio-checked .mat-radio-outer-circle{border-color:#000}.mat-radio-button.mat-primary .mat-radio-inner-circle,.mat-radio-button.mat-primary .mat-radio-ripple .mat-ripple-element:not(.mat-radio-persistent-ripple),.mat-radio-button.mat-primary.mat-radio-checked .mat-radio-persistent-ripple,.mat-radio-button.mat-primary:active .mat-radio-persistent-ripple{background-color:#000}.mat-radio-button.mat-accent.mat-radio-checked .mat-radio-outer-circle{border-color:#448aff}.mat-radio-button.mat-accent .mat-radio-inner-circle,.mat-radio-button.mat-accent .mat-radio-ripple .mat-ripple-element:not(.mat-radio-persistent-ripple),.mat-radio-button.mat-accent.mat-radio-checked .mat-radio-persistent-ripple,.mat-radio-button.mat-accent:active .mat-radio-persistent-ripple{background-color:#448aff}.mat-radio-button.mat-warn.mat-radio-checked .mat-radio-outer-circle{border-color:#f44336}.mat-radio-button.mat-warn .mat-radio-inner-circle,.mat-radio-button.mat-warn .mat-radio-ripple .mat-ripple-element:not(.mat-radio-persistent-ripple),.mat-radio-button.mat-warn.mat-radio-checked .mat-radio-persistent-ripple,.mat-radio-button.mat-warn:active .mat-radio-persistent-ripple{background-color:#f44336}.mat-radio-button.mat-radio-disabled .mat-radio-outer-circle,.mat-radio-button.mat-radio-disabled.mat-radio-checked .mat-radio-outer-circle{border-color:rgba(0,0,0,.38)}.mat-radio-button.mat-radio-disabled .mat-radio-inner-circle,.mat-radio-button.mat-radio-disabled .mat-radio-ripple .mat-ripple-element{background-color:rgba(0,0,0,.38)}.mat-radio-button.mat-radio-disabled .mat-radio-label-content{color:rgba(0,0,0,.38)}.mat-radio-button .mat-ripple-element{background-color:#000}.mat-select-value{color:rgba(0,0,0,.87)}.mat-select-placeholder{color:rgba(0,0,0,.42)}.mat-select-disabled .mat-select-value{color:rgba(0,0,0,.38)}.mat-select-arrow{color:rgba(0,0,0,.54)}.mat-select-panel{background:#fff}.mat-select-panel:not([class*=mat-elevation-z]){box-shadow:0 2px 4px -1px rgba(0,0,0,.2),0 4px 5px 0 rgba(0,0,0,.14),0 1px 10px 0 rgba(0,0,0,.12)}.mat-select-panel .mat-option.mat-selected:not(.mat-option-multiple){background:rgba(0,0,0,.12)}.mat-form-field.mat-focused.mat-primary .mat-select-arrow{color:#000}.mat-form-field.mat-focused.mat-accent .mat-select-arrow{color:#448aff}.mat-form-field .mat-select.mat-select-invalid .mat-select-arrow,.mat-form-field.mat-focused.mat-warn .mat-select-arrow{color:#f44336}.mat-form-field .mat-select.mat-select-disabled .mat-select-arrow{color:rgba(0,0,0,.38)}.mat-drawer-container{background-color:#fafafa;color:rgba(0,0,0,.87)}.mat-drawer{background-color:#fff;color:rgba(0,0,0,.87)}.mat-drawer.mat-drawer-push{background-color:#fff}.mat-drawer:not(.mat-drawer-side){box-shadow:0 8px 10px -5px rgba(0,0,0,.2),0 16px 24px 2px rgba(0,0,0,.14),0 6px 30px 5px rgba(0,0,0,.12)}.mat-drawer-side{border-right:1px solid rgba(0,0,0,.12)}.mat-drawer-side.mat-drawer-end,[dir=rtl] .mat-drawer-side{border-left:1px solid rgba(0,0,0,.12);border-right:none}[dir=rtl] .mat-drawer-side.mat-drawer-end{border-left:none;border-right:1px solid rgba(0,0,0,.12)}.mat-drawer-backdrop.mat-drawer-shown{background-color:rgba(0,0,0,.6)}.mat-slide-toggle.mat-checked .mat-slide-toggle-thumb{background-color:#448aff}.mat-slide-toggle.mat-checked .mat-slide-toggle-bar{background-color:rgba(68,138,255,.54)}.mat-slide-toggle.mat-checked .mat-ripple-element{background-color:#448aff}.mat-slide-toggle.mat-primary.mat-checked .mat-slide-toggle-thumb{background-color:#000}.mat-slide-toggle.mat-primary.mat-checked .mat-slide-toggle-bar{background-color:rgba(0,0,0,.54)}.mat-slide-toggle.mat-primary.mat-checked .mat-ripple-element{background-color:#000}.mat-slide-toggle.mat-warn.mat-checked .mat-slide-toggle-thumb{background-color:#f44336}.mat-slide-toggle.mat-warn.mat-checked .mat-slide-toggle-bar{background-color:rgba(244,67,54,.54)}.mat-slide-toggle.mat-warn.mat-checked .mat-ripple-element{background-color:#f44336}.mat-slide-toggle:not(.mat-checked) .mat-ripple-element{background-color:#000}.mat-slide-toggle-thumb{box-shadow:0 2px 1px -1px rgba(0,0,0,.2),0 1px 1px 0 rgba(0,0,0,.14),0 1px 3px 0 rgba(0,0,0,.12);background-color:#fafafa}.mat-slide-toggle-bar{background-color:rgba(0,0,0,.38)}.mat-slider-track-background{background-color:rgba(0,0,0,.26)}.mat-primary .mat-slider-thumb,.mat-primary .mat-slider-thumb-label,.mat-primary .mat-slider-track-fill{background-color:#000}.mat-primary .mat-slider-thumb-label-text{color:#fff}.mat-accent .mat-slider-thumb,.mat-accent .mat-slider-thumb-label,.mat-accent .mat-slider-track-fill{background-color:#448aff}.mat-accent .mat-slider-thumb-label-text{color:#fff}.mat-warn .mat-slider-thumb,.mat-warn .mat-slider-thumb-label,.mat-warn .mat-slider-track-fill{background-color:#f44336}.mat-warn .mat-slider-thumb-label-text{color:#fff}.mat-slider-focus-ring{background-color:rgba(68,138,255,.2)}.cdk-focused .mat-slider-track-background,.mat-slider:hover .mat-slider-track-background{background-color:rgba(0,0,0,.38)}.mat-slider-disabled .mat-slider-thumb,.mat-slider-disabled .mat-slider-track-background,.mat-slider-disabled .mat-slider-track-fill,.mat-slider-disabled:hover .mat-slider-track-background{background-color:rgba(0,0,0,.26)}.mat-slider-min-value .mat-slider-focus-ring{background-color:rgba(0,0,0,.12)}.mat-slider-min-value.mat-slider-thumb-label-showing .mat-slider-thumb,.mat-slider-min-value.mat-slider-thumb-label-showing .mat-slider-thumb-label{background-color:rgba(0,0,0,.87)}.mat-slider-min-value.mat-slider-thumb-label-showing.cdk-focused .mat-slider-thumb,.mat-slider-min-value.mat-slider-thumb-label-showing.cdk-focused .mat-slider-thumb-label{background-color:rgba(0,0,0,.26)}.mat-slider-min-value:not(.mat-slider-thumb-label-showing) .mat-slider-thumb{border-color:rgba(0,0,0,.26);background-color:transparent}.mat-slider-min-value:not(.mat-slider-thumb-label-showing).cdk-focused .mat-slider-thumb,.mat-slider-min-value:not(.mat-slider-thumb-label-showing):hover .mat-slider-thumb{border-color:rgba(0,0,0,.38)}.mat-slider-min-value:not(.mat-slider-thumb-label-showing).cdk-focused.mat-slider-disabled .mat-slider-thumb,.mat-slider-min-value:not(.mat-slider-thumb-label-showing):hover.mat-slider-disabled .mat-slider-thumb{border-color:rgba(0,0,0,.26)}.mat-slider-has-ticks .mat-slider-wrapper::after{border-color:rgba(0,0,0,.7)}.mat-slider-horizontal .mat-slider-ticks{background-image:repeating-linear-gradient(to right,rgba(0,0,0,.7),rgba(0,0,0,.7) 2px,transparent 0,transparent);background-image:-moz-repeating-linear-gradient(.0001deg,rgba(0,0,0,.7),rgba(0,0,0,.7) 2px,transparent 0,transparent)}.mat-slider-vertical .mat-slider-ticks{background-image:repeating-linear-gradient(to bottom,rgba(0,0,0,.7),rgba(0,0,0,.7) 2px,transparent 0,transparent)}.mat-step-header.cdk-keyboard-focused,.mat-step-header.cdk-program-focused,.mat-step-header:hover{background-color:rgba(0,0,0,.04)}@media (hover:none){.mat-step-header:hover{background:0 0}}.mat-step-header .mat-step-label,.mat-step-header .mat-step-optional{color:rgba(0,0,0,.54)}.mat-step-header .mat-step-icon{background-color:rgba(0,0,0,.54);color:#fff}.mat-step-header .mat-step-icon-selected,.mat-step-header .mat-step-icon-state-done,.mat-step-header .mat-step-icon-state-edit{background-color:#000;color:#fff}.mat-step-header .mat-step-icon-state-error{background-color:transparent;color:#f44336}.mat-step-header .mat-step-label.mat-step-label-active{color:rgba(0,0,0,.87)}.mat-step-header .mat-step-label.mat-step-label-error{color:#f44336}.mat-stepper-horizontal,.mat-stepper-vertical{background-color:#fff}.mat-stepper-vertical-line::before{border-left-color:rgba(0,0,0,.12)}.mat-horizontal-stepper-header::after,.mat-horizontal-stepper-header::before,.mat-stepper-horizontal-line{border-top-color:rgba(0,0,0,.12)}.mat-sort-header-arrow{color:#757575}.mat-tab-header,.mat-tab-nav-bar{border-bottom:1px solid rgba(0,0,0,.12)}.mat-tab-group-inverted-header .mat-tab-header,.mat-tab-group-inverted-header .mat-tab-nav-bar{border-top:1px solid rgba(0,0,0,.12);border-bottom:none}.mat-tab-label,.mat-tab-link{color:rgba(0,0,0,.87)}.mat-tab-label.mat-tab-disabled,.mat-tab-link.mat-tab-disabled{color:rgba(0,0,0,.38)}.mat-tab-header-pagination-chevron{border-color:rgba(0,0,0,.87)}.mat-tab-header-pagination-disabled .mat-tab-header-pagination-chevron{border-color:rgba(0,0,0,.38)}.mat-tab-group[class*=mat-background-] .mat-tab-header,.mat-tab-nav-bar[class*=mat-background-]{border-bottom:none;border-top:none}.mat-tab-group.mat-primary .mat-tab-label.cdk-keyboard-focused:not(.mat-tab-disabled),.mat-tab-group.mat-primary .mat-tab-label.cdk-program-focused:not(.mat-tab-disabled),.mat-tab-group.mat-primary .mat-tab-link.cdk-keyboard-focused:not(.mat-tab-disabled),.mat-tab-group.mat-primary .mat-tab-link.cdk-program-focused:not(.mat-tab-disabled),.mat-tab-nav-bar.mat-primary .mat-tab-label.cdk-keyboard-focused:not(.mat-tab-disabled),.mat-tab-nav-bar.mat-primary .mat-tab-label.cdk-program-focused:not(.mat-tab-disabled),.mat-tab-nav-bar.mat-primary .mat-tab-link.cdk-keyboard-focused:not(.mat-tab-disabled),.mat-tab-nav-bar.mat-primary .mat-tab-link.cdk-program-focused:not(.mat-tab-disabled){background-color:rgba(240,240,240,.3)}.mat-tab-group.mat-primary .mat-ink-bar,.mat-tab-nav-bar.mat-primary .mat-ink-bar{background-color:#000}.mat-tab-group.mat-primary.mat-background-primary .mat-ink-bar,.mat-tab-nav-bar.mat-primary.mat-background-primary .mat-ink-bar{background-color:#fff}.mat-tab-group.mat-accent .mat-tab-label.cdk-keyboard-focused:not(.mat-tab-disabled),.mat-tab-group.mat-accent .mat-tab-label.cdk-program-focused:not(.mat-tab-disabled),.mat-tab-group.mat-accent .mat-tab-link.cdk-keyboard-focused:not(.mat-tab-disabled),.mat-tab-group.mat-accent .mat-tab-link.cdk-program-focused:not(.mat-tab-disabled),.mat-tab-nav-bar.mat-accent .mat-tab-label.cdk-keyboard-focused:not(.mat-tab-disabled),.mat-tab-nav-bar.mat-accent .mat-tab-label.cdk-program-focused:not(.mat-tab-disabled),.mat-tab-nav-bar.mat-accent .mat-tab-link.cdk-keyboard-focused:not(.mat-tab-disabled),.mat-tab-nav-bar.mat-accent .mat-tab-link.cdk-program-focused:not(.mat-tab-disabled){background-color:rgba(130,177,255,.3)}.mat-tab-group.mat-accent .mat-ink-bar,.mat-tab-nav-bar.mat-accent .mat-ink-bar{background-color:#448aff}.mat-tab-group.mat-accent.mat-background-accent .mat-ink-bar,.mat-tab-nav-bar.mat-accent.mat-background-accent .mat-ink-bar{background-color:#fff}.mat-tab-group.mat-warn .mat-tab-label.cdk-keyboard-focused:not(.mat-tab-disabled),.mat-tab-group.mat-warn .mat-tab-label.cdk-program-focused:not(.mat-tab-disabled),.mat-tab-group.mat-warn .mat-tab-link.cdk-keyboard-focused:not(.mat-tab-disabled),.mat-tab-group.mat-warn .mat-tab-link.cdk-program-focused:not(.mat-tab-disabled),.mat-tab-nav-bar.mat-warn .mat-tab-label.cdk-keyboard-focused:not(.mat-tab-disabled),.mat-tab-nav-bar.mat-warn .mat-tab-label.cdk-program-focused:not(.mat-tab-disabled),.mat-tab-nav-bar.mat-warn .mat-tab-link.cdk-keyboard-focused:not(.mat-tab-disabled),.mat-tab-nav-bar.mat-warn .mat-tab-link.cdk-program-focused:not(.mat-tab-disabled){background-color:rgba(255,205,210,.3)}.mat-tab-group.mat-warn .mat-ink-bar,.mat-tab-nav-bar.mat-warn .mat-ink-bar{background-color:#f44336}.mat-tab-group.mat-warn.mat-background-warn .mat-ink-bar,.mat-tab-nav-bar.mat-warn.mat-background-warn .mat-ink-bar{background-color:#fff}.mat-tab-group.mat-background-primary .mat-tab-label.cdk-keyboard-focused:not(.mat-tab-disabled),.mat-tab-group.mat-background-primary .mat-tab-label.cdk-program-focused:not(.mat-tab-disabled),.mat-tab-group.mat-background-primary .mat-tab-link.cdk-keyboard-focused:not(.mat-tab-disabled),.mat-tab-group.mat-background-primary .mat-tab-link.cdk-program-focused:not(.mat-tab-disabled),.mat-tab-nav-bar.mat-background-primary .mat-tab-label.cdk-keyboard-focused:not(.mat-tab-disabled),.mat-tab-nav-bar.mat-background-primary .mat-tab-label.cdk-program-focused:not(.mat-tab-disabled),.mat-tab-nav-bar.mat-background-primary .mat-tab-link.cdk-keyboard-focused:not(.mat-tab-disabled),.mat-tab-nav-bar.mat-background-primary .mat-tab-link.cdk-program-focused:not(.mat-tab-disabled){background-color:rgba(240,240,240,.3)}.mat-tab-group.mat-background-primary .mat-tab-header,.mat-tab-group.mat-background-primary .mat-tab-header-pagination,.mat-tab-group.mat-background-primary .mat-tab-links,.mat-tab-nav-bar.mat-background-primary .mat-tab-header,.mat-tab-nav-bar.mat-background-primary .mat-tab-header-pagination,.mat-tab-nav-bar.mat-background-primary .mat-tab-links{background-color:#000}.mat-tab-group.mat-background-primary .mat-tab-label,.mat-tab-group.mat-background-primary .mat-tab-link,.mat-tab-nav-bar.mat-background-primary .mat-tab-label,.mat-tab-nav-bar.mat-background-primary .mat-tab-link{color:#fff}.mat-tab-group.mat-background-primary .mat-tab-label.mat-tab-disabled,.mat-tab-group.mat-background-primary .mat-tab-link.mat-tab-disabled,.mat-tab-nav-bar.mat-background-primary .mat-tab-label.mat-tab-disabled,.mat-tab-nav-bar.mat-background-primary .mat-tab-link.mat-tab-disabled{color:rgba(255,255,255,.4)}.mat-tab-group.mat-background-primary .mat-tab-header-pagination-chevron,.mat-tab-nav-bar.mat-background-primary .mat-tab-header-pagination-chevron{border-color:#fff}.mat-tab-group.mat-background-primary .mat-tab-header-pagination-disabled .mat-tab-header-pagination-chevron,.mat-tab-nav-bar.mat-background-primary .mat-tab-header-pagination-disabled .mat-tab-header-pagination-chevron{border-color:rgba(255,255,255,.4)}.mat-tab-group.mat-background-primary .mat-ripple-element,.mat-tab-nav-bar.mat-background-primary .mat-ripple-element{background-color:rgba(255,255,255,.12)}.mat-tab-group.mat-background-accent .mat-tab-label.cdk-keyboard-focused:not(.mat-tab-disabled),.mat-tab-group.mat-background-accent .mat-tab-label.cdk-program-focused:not(.mat-tab-disabled),.mat-tab-group.mat-background-accent .mat-tab-link.cdk-keyboard-focused:not(.mat-tab-disabled),.mat-tab-group.mat-background-accent .mat-tab-link.cdk-program-focused:not(.mat-tab-disabled),.mat-tab-nav-bar.mat-background-accent .mat-tab-label.cdk-keyboard-focused:not(.mat-tab-disabled),.mat-tab-nav-bar.mat-background-accent .mat-tab-label.cdk-program-focused:not(.mat-tab-disabled),.mat-tab-nav-bar.mat-background-accent .mat-tab-link.cdk-keyboard-focused:not(.mat-tab-disabled),.mat-tab-nav-bar.mat-background-accent .mat-tab-link.cdk-program-focused:not(.mat-tab-disabled){background-color:rgba(130,177,255,.3)}.mat-tab-group.mat-background-accent .mat-tab-header,.mat-tab-group.mat-background-accent .mat-tab-header-pagination,.mat-tab-group.mat-background-accent .mat-tab-links,.mat-tab-nav-bar.mat-background-accent .mat-tab-header,.mat-tab-nav-bar.mat-background-accent .mat-tab-header-pagination,.mat-tab-nav-bar.mat-background-accent .mat-tab-links{background-color:#448aff}.mat-tab-group.mat-background-accent .mat-tab-label,.mat-tab-group.mat-background-accent .mat-tab-link,.mat-tab-nav-bar.mat-background-accent .mat-tab-label,.mat-tab-nav-bar.mat-background-accent .mat-tab-link{color:#fff}.mat-tab-group.mat-background-accent .mat-tab-label.mat-tab-disabled,.mat-tab-group.mat-background-accent .mat-tab-link.mat-tab-disabled,.mat-tab-nav-bar.mat-background-accent .mat-tab-label.mat-tab-disabled,.mat-tab-nav-bar.mat-background-accent .mat-tab-link.mat-tab-disabled{color:rgba(255,255,255,.4)}.mat-tab-group.mat-background-accent .mat-tab-header-pagination-chevron,.mat-tab-nav-bar.mat-background-accent .mat-tab-header-pagination-chevron{border-color:#fff}.mat-tab-group.mat-background-accent .mat-tab-header-pagination-disabled .mat-tab-header-pagination-chevron,.mat-tab-nav-bar.mat-background-accent .mat-tab-header-pagination-disabled .mat-tab-header-pagination-chevron{border-color:rgba(255,255,255,.4)}.mat-tab-group.mat-background-accent .mat-ripple-element,.mat-tab-nav-bar.mat-background-accent .mat-ripple-element{background-color:rgba(255,255,255,.12)}.mat-tab-group.mat-background-warn .mat-tab-label.cdk-keyboard-focused:not(.mat-tab-disabled),.mat-tab-group.mat-background-warn .mat-tab-label.cdk-program-focused:not(.mat-tab-disabled),.mat-tab-group.mat-background-warn .mat-tab-link.cdk-keyboard-focused:not(.mat-tab-disabled),.mat-tab-group.mat-background-warn .mat-tab-link.cdk-program-focused:not(.mat-tab-disabled),.mat-tab-nav-bar.mat-background-warn .mat-tab-label.cdk-keyboard-focused:not(.mat-tab-disabled),.mat-tab-nav-bar.mat-background-warn .mat-tab-label.cdk-program-focused:not(.mat-tab-disabled),.mat-tab-nav-bar.mat-background-warn .mat-tab-link.cdk-keyboard-focused:not(.mat-tab-disabled),.mat-tab-nav-bar.mat-background-warn .mat-tab-link.cdk-program-focused:not(.mat-tab-disabled){background-color:rgba(255,205,210,.3)}.mat-tab-group.mat-background-warn .mat-tab-header,.mat-tab-group.mat-background-warn .mat-tab-header-pagination,.mat-tab-group.mat-background-warn .mat-tab-links,.mat-tab-nav-bar.mat-background-warn .mat-tab-header,.mat-tab-nav-bar.mat-background-warn .mat-tab-header-pagination,.mat-tab-nav-bar.mat-background-warn .mat-tab-links{background-color:#f44336}.mat-tab-group.mat-background-warn .mat-tab-label,.mat-tab-group.mat-background-warn .mat-tab-link,.mat-tab-nav-bar.mat-background-warn .mat-tab-label,.mat-tab-nav-bar.mat-background-warn .mat-tab-link{color:#fff}.mat-tab-group.mat-background-warn .mat-tab-label.mat-tab-disabled,.mat-tab-group.mat-background-warn .mat-tab-link.mat-tab-disabled,.mat-tab-nav-bar.mat-background-warn .mat-tab-label.mat-tab-disabled,.mat-tab-nav-bar.mat-background-warn .mat-tab-link.mat-tab-disabled{color:rgba(255,255,255,.4)}.mat-tab-group.mat-background-warn .mat-tab-header-pagination-chevron,.mat-tab-nav-bar.mat-background-warn .mat-tab-header-pagination-chevron{border-color:#fff}.mat-tab-group.mat-background-warn .mat-tab-header-pagination-disabled .mat-tab-header-pagination-chevron,.mat-tab-nav-bar.mat-background-warn .mat-tab-header-pagination-disabled .mat-tab-header-pagination-chevron{border-color:rgba(255,255,255,.4)}.mat-tab-group.mat-background-warn .mat-ripple-element,.mat-tab-nav-bar.mat-background-warn .mat-ripple-element{background-color:rgba(255,255,255,.12)}.mat-toolbar{background:#f5f5f5;color:rgba(0,0,0,.87)}.mat-toolbar.mat-primary{background:#000;color:#fff}.mat-toolbar.mat-accent{background:#448aff;color:#fff}.mat-toolbar.mat-warn{background:#f44336;color:#fff}.mat-toolbar .mat-focused .mat-form-field-ripple,.mat-toolbar .mat-form-field-ripple,.mat-toolbar .mat-form-field-underline{background-color:currentColor}.mat-toolbar .mat-focused .mat-form-field-label,.mat-toolbar .mat-form-field-label,.mat-toolbar .mat-form-field.mat-focused .mat-select-arrow,.mat-toolbar .mat-select-arrow,.mat-toolbar .mat-select-value{color:inherit}.mat-toolbar .mat-input-element{caret-color:currentColor}.mat-tooltip{background:rgba(97,97,97,.9)}.mat-tree{font-family:Roboto,\"Helvetica Neue\",sans-serif;background:#fff}.mat-nested-tree-node,.mat-tree-node{font-weight:400;font-size:14px;color:rgba(0,0,0,.87)}.mat-snack-bar-container{color:rgba(255,255,255,.7);background:#323232;box-shadow:0 3px 5px -1px rgba(0,0,0,.2),0 6px 10px 0 rgba(0,0,0,.14),0 1px 18px 0 rgba(0,0,0,.12)}.mat-simple-snackbar-action{color:#448aff}.app-login{position:relative;color:#fff}.app-login .login-button{margin:0 10px}.avatar{height:32px;width:32px;border-radius:50%}.avatar:hover{cursor:pointer}"]
            }),
            __metadata("design:paramtypes", [LoginService, StaticTranslationService])
        ], LoginComponent);
        return LoginComponent;
    }(BaseComponent));

    var AppSwitcherComponent = /** @class */ (function (_super) {
        __extends(AppSwitcherComponent, _super);
        function AppSwitcherComponent(appSwitcherService, translateService, cdr, loginService) {
            var _this = _super.call(this, translateService) || this;
            _this.appSwitcherService = appSwitcherService;
            _this.cdr = cdr;
            _this.loginService = loginService;
            _this.isLoggedIn = false;
            _this.favorites = [];
            _this.apps = [];
            _this.hidden = false;
            return _this;
        }
        AppSwitcherComponent.prototype.tryGetApps = function () {
            var _this = this;
            this.loginService.user$.pipe(operators.filter(function (u) { return !!u; })).subscribe(function (user) {
                var _a, _b;
                var identityType = (_b = (_a = user.properties.find(function (p) { return p.name === 'IdentityType'; })) === null || _a === void 0 ? void 0 : _a.value) === null || _b === void 0 ? void 0 : _b.toLowerCase();
                if (identityType === 'ek') {
                    _this.hidden = true;
                }
            });
            this.appSwitcherService.getApps(this.userId).subscribe(function (response) {
                _this.isLoggedIn = true;
                var apps = response.apps;
                _this.editLink = response.appOverviewUrl;
                _this.favorites = apps.filter(function (a) { return a.favorite; });
                _this.apps = apps.filter(function (a) { return !a.favorite; });
                // trigger angular change detection to avoid issue of app switcher not showing up on some browsers
                _this.cdr.detectChanges();
            }, function (error) {
                // 401 occurs when user is not logged in
                if (!error.status || error.status !== 401) {
                    _this.handleError(error);
                }
                _this.isLoggedIn = false;
                _this.apps = _this.favorites = [];
            });
        };
        AppSwitcherComponent.prototype.ngAfterViewInit = function () {
            var csrfToken = this.getCsrfToken();
            if (csrfToken) {
                this.appSwitcherService.setCsrfToken(csrfToken);
            }
            var hash = window.location.hash;
            if (hash && hash.startsWith('#token=')) {
                // if csrf token is in url, always use that value
                var token = hash.replace('#token=', '');
                this.appSwitcherService.setCsrfToken(token);
            }
            this.tryGetApps();
        };
        /**
         * Return an observable with a user-facing error message
         */
        AppSwitcherComponent.prototype.handleError = function (error) {
            console.log('Login Service: ', error);
            if (error.error instanceof ErrorEvent) {
                /**
                 * A client-side or network error occurred. Handle it accordingly.
                 */
                console.error('SAML login request: An error occurred:', error.error.message);
            }
            else {
                /**
                 * The backend returned an unsuccessful response code.
                 *
                 * The response body may contain clues as to what went wrong,
                 */
                if (error.status === 0) {
                    console.error("SAML login request: Backend returned code " + error.status + ", " + "CORS issue");
                }
            }
            // return an observable with a user-facing error message
            return rxjs.throwError(error.error);
        };
        AppSwitcherComponent.ctorParameters = function () { return [
            { type: AppSwitcherService },
            { type: StaticTranslationService },
            { type: core.ChangeDetectorRef },
            { type: LoginService }
        ]; };
        __decorate([
            core.Input(),
            __metadata("design:type", String)
        ], AppSwitcherComponent.prototype, "userId", void 0);
        AppSwitcherComponent = __decorate([
            core.Component({
                selector: 'vih-app-switcher',
                template: "<div class=\"app-switcher\" *ngIf=\"isLoggedIn && !hidden\">\n    <button mat-icon-button [matMenuTriggerFor]=\"appMenu\">\n        <mat-icon>apps</mat-icon>\n    </button>\n</div>\n\n<mat-menu #appMenu=\"matMenu\" class=\"app-switcher-panel\">\n    <p *ngIf=\"!apps?.length\" class=\"empty gh-row\">\n        {{ 'APP_SWITCHER.MSG_NO_APPS' | vihTranslate }}\n    </p>\n    <ng-container *ngIf=\"apps?.length\">\n        <div class=\"menu-body\">\n            <div class=\"gh-row\">\n                <h3>{{ 'APP_SWITCHER.FAVORITES' | vihTranslate }}</h3>\n                <a [href]=\"editLink\" target=\"_blank\">\n                    <mat-icon class=\"small\">edit</mat-icon>\n                </a>\n            </div>\n            <div class=\"empty gh-row\" *ngIf=\"!favorites?.length\">\n                {{ 'APP_SWITCHER.MSG_NO_FAVORITES' | vihTranslate }}\n            </div>\n\n            <div class=\"app-list\" *ngIf=\"favorites?.length\">\n                <div\n                    *ngFor=\"let app of favorites\"\n                    onMouseOut=\"this.style.backgroundColor='transparent'\"\n                    onMouseOver=\"this.style.backgroundColor='rgba(0, 0, 0, 0.04)'\"\n                >\n                    <a [href]=\"app.url\" [target]=\"app.target\">\n                        <img [src]=\"app.icon\" />\n                        <p>{{ app.name }}</p>\n                    </a>\n                </div>\n            </div>\n\n            <hr />\n\n            <div class=\"app-list\" *ngIf=\"apps?.length\">\n                <div\n                    *ngFor=\"let app of apps\"\n                    onMouseOut=\"this.style.backgroundColor='transparent'\"\n                    onMouseOver=\"this.style.backgroundColor='rgba(0, 0, 0, 0.04)'\"\n                >\n                    <a [href]=\"app.url\" [target]=\"app.target\">\n                        <img [src]=\"app.icon\" />\n                        <p>{{ app.name }}</p>\n                    </a>\n                </div>\n            </div>\n        </div>\n        <div class=\"menu-footer\">\n            <a\n                class=\"all-apps gh-row\"\n                [href]=\"editLink\"\n                target=\"_blank\"\n                mat-menu-item\n                onMouseOut=\"this.style.backgroundColor='transparent'\"\n                onMouseOver=\"this.style.backgroundColor='rgba(0, 0, 0, 0.04)'\"\n            >\n                <span>{{ 'APP_SWITCHER.ALL_APPS' | vihTranslate }}</span>\n                <mat-icon class=\"small\">arrow_forward</mat-icon>\n            </a>\n        </div>\n    </ng-container>\n</mat-menu>\n",
                styles: ["::ng-deep .app-switcher-panel{max-width:none!important;height:400px;overflow:hidden!important}::ng-deep .app-switcher-panel .empty{color:rgba(0,0,0,.8);font-size:12px}::ng-deep .app-switcher-panel .mat-menu-content{display:flex;flex-direction:column;height:100%}::ng-deep .app-switcher-panel .mat-menu-content:not(:empty){padding-top:0;padding-bottom:0}a,h3,p{font-family:Roboto,\"Helvetica Neue\",sans-serif}h3{font-weight:400;font-size:18px;margin-top:1em;margin-bottom:1em}hr{margin:10px}a,h3{color:#000}.app-switcher{position:relative;color:#fff}.all-apps{justify-content:center}.gh-row{display:flex;flex-direction:row;align-items:center;-moz-column-gap:8px;column-gap:8px;margin-left:10px}mat-icon.small{width:16px;height:16px;font-size:16px}.menu-body{display:flex;flex-direction:column;flex-grow:1;overflow-x:hidden;overflow-y:auto}.menu-body .app-list{display:flex;flex-direction:row;flex-wrap:wrap;justify-content:stretch;width:330px;margin-left:10px;margin-right:10px}.menu-body .app-list a{display:flex;flex-direction:column;align-items:center;width:90px;margin:10px;text-decoration:none}.menu-body .app-list a p{width:100%;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;text-align:center;margin-top:1em;margin-bottom:0;font-size:12px;font-weight:400}.menu-body .app-list a img{width:36px;height:36px}.menu-footer{border-top:1px solid silver;flex-grow:0}"]
            }),
            __metadata("design:paramtypes", [AppSwitcherService,
                StaticTranslationService,
                core.ChangeDetectorRef,
                LoginService])
        ], AppSwitcherComponent);
        return AppSwitcherComponent;
    }(BaseComponent));

    var SupportLinkComponent = /** @class */ (function () {
        function SupportLinkComponent(config, loginService) {
            this.config = config;
            this.loginService = loginService;
        }
        SupportLinkComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.loginService.user$.pipe(operators.filter(function (u) { return !!u; })).subscribe(function (user) {
                var _a, _b, _c, _d;
                if (_this.config.partnerPortalBaseUrl) {
                    var identityType = (_b = (_a = user.properties.find(function (p) { return p.name === 'IdentityType'; })) === null || _a === void 0 ? void 0 : _a.value) === null || _b === void 0 ? void 0 : _b.toLowerCase();
                    var country = ((_c = user.company) === null || _c === void 0 ? void 0 : _c.countryCode) || ((_d = user.address) === null || _d === void 0 ? void 0 : _d.countryCode);
                    var language = user.languageCode;
                    if (['viint', 'kuma'].includes(identityType) && !user.isLite && country && language) {
                        var appId = _this.config.appId || _this.loginService.getAppId();
                        var baseUrl = _this.config.partnerPortalBaseUrl + "/" + country.toLowerCase() + "/" + language.toLowerCase() + "/";
                        _this.href = appId ? baseUrl + "support/faq/" + appId + ".html" : baseUrl + "support.html";
                    }
                }
            });
        };
        SupportLinkComponent.ctorParameters = function () { return [
            { type: GlobalHeaderConfig, decorators: [{ type: core.Inject, args: [APPS_CONFIG,] }] },
            { type: LoginService }
        ]; };
        SupportLinkComponent = __decorate([
            core.Component({
                selector: 'vih-support-link',
                template: "<div class=\"support-link\">\n  <a mat-icon-button [href]=\"href\" target=\"_blank\" *ngIf=\"href\">\n    <mat-icon>help_outline</mat-icon>\n  </a>\n</div>\n",
                styles: [".support-link,a{color:#fff}"]
            }),
            __param(0, core.Inject(APPS_CONFIG)),
            __metadata("design:paramtypes", [GlobalHeaderConfig, LoginService])
        ], SupportLinkComponent);
        return SupportLinkComponent;
    }());

    var VihTranslatePipe = /** @class */ (function (_super) {
        __extends(VihTranslatePipe, _super);
        function VihTranslatePipe(customTranslator, theRef) {
            var _this = _super.call(this, customTranslator, theRef) || this;
            _this.customTranslator = customTranslator;
            _this.theRef = theRef;
            return _this;
        }
        VihTranslatePipe.ctorParameters = function () { return [
            { type: StaticTranslationService, decorators: [{ type: core.Inject, args: ['customTranslator',] }] },
            { type: core.ChangeDetectorRef }
        ]; };
        VihTranslatePipe = __decorate([
            core.Injectable(),
            core.Pipe({
                name: 'vihTranslate',
                pure: false
            }),
            __param(0, core.Inject('customTranslator')),
            __metadata("design:paramtypes", [StaticTranslationService, core.ChangeDetectorRef])
        ], VihTranslatePipe);
        return VihTranslatePipe;
    }(core$1.TranslatePipe));

    function createAppSwitcherService(config, http) {
        return new AppSwitcherService(config, http);
    }
    function createLoginService(config, http) {
        return new LoginService(config, http);
    }
    var GlobalHeaderModule = /** @class */ (function () {
        function GlobalHeaderModule() {
        }
        GlobalHeaderModule_1 = GlobalHeaderModule;
        GlobalHeaderModule.forRoot = function (config) {
            return {
                ngModule: GlobalHeaderModule_1,
                providers: [
                    {
                        provide: APPS_CONFIG,
                        useValue: config
                    },
                    {
                        provide: AppSwitcherService,
                        useFactory: createAppSwitcherService,
                        deps: [APPS_CONFIG, http.HttpClient]
                    },
                    {
                        provide: LoginService,
                        useFactory: createLoginService,
                        deps: [APPS_CONFIG, http.HttpClient]
                    },
                    StaticTranslationService,
                    {
                        provide: 'customTranslator',
                        useExisting: StaticTranslationService
                    }
                ]
            };
        };
        var GlobalHeaderModule_1;
        GlobalHeaderModule = GlobalHeaderModule_1 = __decorate([
            core.NgModule({
                declarations: [BaseComponent, LoginComponent, AppSwitcherComponent, SupportLinkComponent, VihTranslatePipe],
                imports: [
                    common.CommonModule,
                    progressSpinner.MatProgressSpinnerModule,
                    menu.MatMenuModule,
                    button.MatButtonModule,
                    icon.MatIconModule
                ],
                exports: [LoginComponent, AppSwitcherComponent, SupportLinkComponent]
            })
        ], GlobalHeaderModule);
        return GlobalHeaderModule;
    }());

    exports.AppSwitcherComponent = AppSwitcherComponent;
    exports.GlobalHeaderModule = GlobalHeaderModule;
    exports.LoginComponent = LoginComponent;
    exports.SupportLinkComponent = SupportLinkComponent;
    exports.createAppSwitcherService = createAppSwitcherService;
    exports.createLoginService = createLoginService;
    exports.ɵa = APPS_CONFIG;
    exports.ɵb = AppSwitcherService;
    exports.ɵc = BaseService;
    exports.ɵd = GlobalHeaderConfig;
    exports.ɵe = LoginService;
    exports.ɵf = BaseComponent;
    exports.ɵg = StaticTranslationService;
    exports.ɵh = VihTranslatePipe;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=vi-global-header.umd.js.map
