import { Observable } from 'rxjs';
import { GlobalHeaderConfig } from './common';
import { HttpClient } from '@angular/common/http';
export declare abstract class BaseService {
    protected config: GlobalHeaderConfig;
    protected http: HttpClient;
    protected csrfToken?: string;
    protected appId?: string;
    protected constructor(config: GlobalHeaderConfig, http: HttpClient);
    setCsrfToken(token: string): void;
    protected getCsrfToken(): Observable<string>;
}
