export declare const DEFAULT_APP_ID = "global-header";
export declare type CustomerType = 'customer' | 'endcustomer' | 'supplier';
export declare class GlobalHeaderConfig {
    baseUrl: string;
    accountAppUrl?: string;
    partnerPortalBaseUrl?: string;
    appId?: string;
    loginRedirectUrl?: string;
    logoutRedirectUrl?: boolean | string;
    showRegisterLink?: boolean;
    type?: CustomerType;
}
export interface IAMUser {
    languageCode: string;
    avatarLink?: string;
    address: {
        countryCode: string;
    };
    company: {
        countryCode: string;
    };
    properties: {
        name: string;
        value: string;
    }[];
    isLite: boolean;
}
