import { ModuleWithProviders } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { AppSwitcherService } from './app-switcher/app-switcher.service';
import { LoginService } from './common/login.service';
import { GlobalHeaderConfig } from './common/common';
export declare function createAppSwitcherService(config: GlobalHeaderConfig, http: HttpClient): AppSwitcherService;
export declare function createLoginService(config: GlobalHeaderConfig, http: HttpClient): LoginService;
export declare class GlobalHeaderModule {
    static forRoot(config: GlobalHeaderConfig): ModuleWithProviders<GlobalHeaderModule>;
}
