import { TranslateLoader, TranslateService } from '@ngx-translate/core';
import { Observable } from 'rxjs';
import * as english from './assets/i18n/en-GB';
import * as german from './assets/i18n/de-DE';
import * as austrian from './assets/i18n/de-AT';
import * as bulgarian from './assets/i18n/bg-BG';
import * as croatian from './assets/i18n/hr-HR';
import * as czech from './assets/i18n/cs-CZ';
import * as dutch from './assets/i18n/nl-NL';
import * as finnish from './assets/i18n/fi-FI';
import * as french from './assets/i18n/fr-FR';
import * as hungarian from './assets/i18n/hu-HU';
import * as italian from './assets/i18n/it-IT';
import * as polish from './assets/i18n/pl-PL';
import * as romanian from './assets/i18n/ro-RO';
import * as russian from './assets/i18n/ru-RU';
import * as serbian from './assets/i18n/sr-RS';
import * as slovenian from './assets/i18n/sl-SI';
import * as spanish from './assets/i18n/es-ES';
import * as swedish from './assets/i18n/sv-SE';
import * as turkish from './assets/i18n/tr-TR';
export declare class StaticTranslateLoader implements TranslateLoader {
    readonly defautLanguage = "en-GB";
    readonly languages: {
        'en-GB': typeof english;
        'de-DE': typeof german;
        'de-AT': typeof austrian;
        'bg-BG': typeof bulgarian;
        'hr-HR': typeof croatian;
        'cs-CZ': typeof czech;
        'nl-NL': typeof dutch;
        'fi-FI': typeof finnish;
        'fr-FR': typeof french;
        'hu-HU': typeof hungarian;
        'it-IT': typeof italian;
        'pl-PL': typeof polish;
        'ro-RO': typeof romanian;
        'ru-RU': typeof russian;
        'sr-RS': typeof serbian;
        'sl-SI': typeof slovenian;
        'es-ES': typeof spanish;
        'sv-SE': typeof swedish;
        'tr-TR': typeof turkish;
    };
    constructor();
    getLanguage(lang: string): string;
    getTranslation(lang: string): Observable<any>;
}
export declare class StaticTranslationService extends TranslateService {
    constructor();
}
